exec dbms_output.enable

--********************************************************************************************
--                                  ALTA ESTADO
--********************************************************************************************


/* ALTA DE UN ESTADO DE VOTACION VALIDO */

DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_altaestado('edicion','la fecha actual es anterior a la fecha de publicacin',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Estado - Estado de votacion valido)');
END;
/


/* RELLENAR LOS ESTADOS DE UNA VOTACION */
DECLARE
	RSP varchar2(500);
BEGIN
  	p_altaestado('pendiente','la fecha actual est comprendida entre la fecha publicacin y la fecha de inicio',RSP);
  	p_altaestado('abierta','la fecha actual est comprendida entre la fecha de inicio y la fecha fin',RSP);
  	p_altaestado('finalizada','la fecha actual es posterior a la fecha de finalizacin',RSP);

END;
/


/* Test Alta Estado ya existente */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altaestado('edicion','la fecha actual es anterior a la fecha de publicacin',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Estado - Estado ya existente)');
END;
/

/* Test Alta Estado NO valido */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altaestado('cerrado','la fecha actual es anterior a la fecha de publicacin',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Estado - Estado no valido)');
END;
/

/* Test Alta Estado NUlo */
DECLARE
	RSP varchar2(500);
BEGIN

	p_altaestado(NULL,'la fecha actual es anterior a la fecha de publicacin',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Estado - Estado Nulo)');
END;
/

--********************************************************************************************
--                                  ALTA AMBITO
--********************************************************************************************


/* ALTA DE UN AMBITO DE VOTACION VALIDO */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altambito('global',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Ambito - Ambito de votacion valido)');
END;
/


/* RELLENAR LOS AMBITOS DE UNA VOTACION */
DECLARE
	RSP varchar2(500);
BEGIN
         p_altambito('nacional',RSP);
         p_altambito('regional',RSP);
         p_altambito('local',RSP);
END;
/


/* Test Alta Ambito ya existente */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altambito('regional',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Ambito - Ambito votacion ya existente)');
END;
/

/* Test Alta Ambito NO valido */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altambito('comarcal',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Ambito - Ambito votacion no valido)');
END;
/

/* Test Alta Ambito NUlo */
DECLARE
	RSP varchar2(500);
BEGIN

	p_altambito(NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Ambito - Ambito Nulo)');
END;
/


--********************************************************************************************
--                                  ALTA CENSO GLOBAL Y ALTA CENSO NACIONAL 
--********************************************************************************************


/* ALTA DE CENSO GLOBAL VALIDO */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacensoglobal(RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo Global - Censo Global valido)');
END;
/


/* ALTA DE UN CENSO NACIONAL VALIDO */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacensonacional('fr',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo Nacional - Censo Nacional valido)');
END;
/


/* RELLENAR LOS CENSOS NACIONALES */
DECLARE
	RSP varchar2(500);
BEGIN
         p_altacensonacional('at',RSP);
	 p_altacensonacional('be',RSP);
         p_altacensonacional('bg',RSP);
	 p_altacensonacional('cy',RSP);
         p_altacensonacional('cz',RSP);
	 p_altacensonacional('dk',RSP);
         p_altacensonacional('ee',RSP);
	 p_altacensonacional('fi',RSP);
         p_altacensonacional('de',RSP);
	 p_altacensonacional('gr',RSP);
         p_altacensonacional('hu',RSP);
	 p_altacensonacional('ie',RSP);
         p_altacensonacional('it',RSP);
	 p_altacensonacional('LV',RSP);
         p_altacensonacional('LT',RSP);
	 p_altacensonacional('LU',RSP);
         p_altacensonacional('MT',RSP);
	 p_altacensonacional('NL',RSP);
         p_altacensonacional('PL',RSP);
	 p_altacensonacional('PT',RSP);
         p_altacensonacional('RO',RSP);
	 p_altacensonacional('SK',RSP);
         p_altacensonacional('SI',RSP);
	 p_altacensonacional('ES',RSP);
         p_altacensonacional('SE',RSP);
	 p_altacensonacional('GB',RSP);
       
END;
/


/* Test Censo global ya existente */
DECLARE
	RSP varchar2(500);
BEGIN

	p_altacensoglobal(RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo Global - Censo Global ya existente)');
END;
/


/* Test Alta Censo Nacional ya existente */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacensonacional('nl',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo Nacional - Censo Nacional ya existente)');
END;
/

/* Test Alta Censo Nacional NO valido */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacensonacional('TT',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo Nacional - Censo Nacional no valido)');
END;
/

/* Test Alta Censo Nacional NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacensonacional(NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo Nacional - Censo Nacional Nulo)');
END;
/


--********************************************************************************************
--                                  ALTA CENSO REGIONAL
--********************************************************************************************


/* ALTA DE UN CENSO REGIONAL VALIDO */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacensoregional('es','AN','Andalucia',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo Regional - Censo Regional valido)');
END;
/


/* RELLENAR CENSOS REGIONALES */
DECLARE
	RSP varchar2(500);
BEGIN
         p_altacensoregional('es','AN','Andalucia',RSP);
	 p_altacensoregional('ES','AR','Aragon',RSP);
         p_altacensoregional('es','AS','Principado de Asturias',RSP);
	 p_altacensoregional('es','CB','Cantabria',RSP);
	 p_altacensoregional('es','CL','Castilla y Leon',RSP);
         p_altacensoregional('es','CM','Castilla la Mancha',RSP);
         p_altacensoregional('es','CT','Catalua',RSP);
	 p_altacensoregional('es','EX','Extremadura',RSP);
         p_altacensoregional('es','GA','Galicia',RSP);
         p_altacensoregional('es','IB','Islas Baleares',RSP);
	 p_altacensoregional('es','CN','Islas Canarias',RSP);
         p_altacensoregional('es','RI','La Rioja',RSP);
	 p_altacensoregional('es','MD','Comunidad de Madrid',RSP);
	 p_altacensoregional('es','MC','Region de Murcia',RSP);
         p_altacensoregional('es','nc','Comunidad Foral de Navarra',RSP);
         p_altacensoregional('es','pv','Pais Vasco',RSP);
	 p_altacensoregional('es','cv','Comunidad Valenciana',RSP);

         p_altacensoregional('AT','3','Baja Austria',RSP);
	 p_altacensoregional('AT','4','Alta Austria',RSP);
	 p_altacensoregional('AT','5','Salzburgo',RSP);
	 p_altacensoregional('AT','7','Tirol',RSP);
         p_altacensoregional('AT','9','Viena',RSP);
	
         p_altacensoregional('BE','VLG','Flandes',RSP);
	 p_altacensoregional('BE','WAL','Valonia',RSP);
	 p_altacensoregional('BE','BRU','Bruselas Capital',RSP);

	 p_altacensoregional('SE','K','Condado de Blekinge',RSP);
	 p_altacensoregional('SE','W','Condado de Dalecarlia',RSP);
	 p_altacensoregional('SE','X','El Condado',RSP);
	 p_altacensoregional('SE','EN','Condado de Gotland',RSP);
	 
	 p_altacensoregional('IT','ES-65','Abruzzi',RSP);
	 p_altacensoregional('IT','ES-77','Balilicata',RSP);
	 p_altacensoregional('IT','ES-78','Calabria',RSP);
	 p_altacensoregional('IT','ES-72','Campania',RSP);
         p_altacensoregional('IT','ES-45','Emilia-Romagna',RSP);
END;
/


/* Test Alta Censo Regional ya existente */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacensoregional('BE','VLG','Flandes',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo Regional - Censo Regional ya existente)');
END;
/

/* Test Alta Censo Regional NO valido */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacensoregional('CC','VLG','Flandes',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo Regional - Censo Regional no valido)');
END;
/

/* Test Alta Censo Regional NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacensoregional('BE',NULL,'Flandes',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo Regional - Censo Regional Nulo)');
END;
/



--********************************************************************************************
--                                  ALTA CENSO LOCAL
--********************************************************************************************


/* ALTA DE UN CENSO LOCAL VALIDO */

DECLARE
	RSP varchar2(500);
BEGIN

	p_altacensolocal('es','AR','Z','Zaragoza',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo Local - Censo Local valido)');
END;
/


/* RELLENAR CENSOS LOCALES */
DECLARE
	RSP varchar2(500);
BEGIN
         p_altacensolocal('es','AR','HU','HUESCA',RSP);
	 p_altacensolocal('es','AR','TE','TERUEL',RSP);
         
	 p_altacensolocal('es','GA','C','LA CORUA',RSP);
	 p_altacensolocal('es','GA','LU','LUGO',RSP);         
	 p_altacensolocal('es','GA','OR','ORENSE',RSP);
	 p_altacensolocal('es','GA','PO','PONTEVEDRA',RSP);

	 p_altacensolocal('es','EX','CC','CACERES',RSP);
	 p_altacensolocal('es','EX','BA','BADAJOZ',RSP);   

         p_altacensolocal('es','CV','A','ALICANTE',RSP);
	 p_altacensolocal('es','CV','CS','CASTELLON',RSP);
	 p_altacensolocal('es','CV','V','VALENCIA',RSP);

	 p_altacensolocal('ES','CM','AB','ALBACETE',RSP);
	 p_altacensolocal('ES','CM','CR','CIUDAD REAL',RSP);   
         p_altacensolocal('ES','CM','CU','CUENCA',RSP);
	 p_altacensolocal('ES','CM','GU','GUADALAJARA',RSP);
	 p_altacensolocal('ES','CM','TO','TOLEDO',RSP);

	

	 p_altacensolocal('BE','VLG','VAN','AMBERES',RSP);
	 p_altacensolocal('BE','VLG','VLI','LIMBURGO',RSP);         
	 p_altacensolocal('BE','VLG','VBR','BRABANTE FLAMENCO',RSP);
	 p_altacensolocal('BE','VLG','VOV','FLANDES ORIENTAL',RSP);
	 p_altacensolocal('BE','VLG','VWV','FLANDES OCCIDENTAL',RSP);

         p_altacensolocal('BE','WAL','WHT','HENAO',RSP);
	 p_altacensolocal('BE','WAL','WBL','BRABANTE VALON',RSP);         
	 p_altacensolocal('BE','WAL','WNA','NAMUR',RSP);
	 p_altacensolocal('BE','WAL','WLG','LIEJA',RSP);
	 p_altacensolocal('BE','WAL','WLX','LUXEMBURGO',RSP);

	 p_altacensolocal('SE','K','1082','KARLSHAMN',RSP);
	 p_altacensolocal('SE','K','1080','KARLSKRONA',RSP);         
	 p_altacensolocal('SE','K','1060','OLOFSTROM',RSP);

	 p_altacensolocal('SE','W','2039','ALVDALEN',RSP);
	 p_altacensolocal('SE','W','2084','AVESTA',RSP);

	 p_altacensolocal('SE','X','2183','BOLLNAS',RSP);
	 p_altacensolocal('SE','X','2180','GAVLE',RSP);

	 p_altacensolocal('IT','ES-65','CH','CHIETI',RSP);
	 p_altacensolocal('IT','ES-65','QA','EL AGUILA',RSP);         
	 p_altacensolocal('IT','ES-65','EP','PESCARA',RSP);

	 p_altacensolocal('IT','ES-77','MT','MATERA',RSP);
	 p_altacensolocal('IT','ES-77','PZ','PODER',RSP);


	 p_altacensolocal('IT','ES-78','CZ','CATANZARO',RSP);
	 p_altacensolocal('IT','ES-78','CS','COSENZA',RSP);         
	 p_altacensolocal('IT','ES-78','KR','CROTONE',RSP);

	 p_altacensolocal('IT','ES-72','V','AVELLINO',RSP);
	 p_altacensolocal('IT','ES-72','NO','NAPOLES',RSP);
	 p_altacensolocal('IT','ES-72','SA','SALERNO',RSP);

	 p_altacensolocal('IT','ES-45','BO','BOLONIA',RSP);
	 p_altacensolocal('IT','ES-45','PR','PARMA',RSP);

	




END;
/


/* Test Alta Censo Local ya existente */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacensolocal('es','AR','HU','HUESCA',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo local - Censo local ya existente)');
END;
/

/* Test Alta Censo local NO valido */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacensolocal('es','AA','HU','HUESCA',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo Regional - Censo local no valido, no existe region)');
	
	RSP:=NULL;
	p_altacensolocal('es','WAL','HU','HUESCA',RSP);
        DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo Regional - Censo local no valido, la region no es del pais)');
END;
/

/* Test Alta Censo local NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacensolocal('es','AR',null,'HUESCA',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo local - Censo local Nulo)');

    
	p_altacensolocal('es',NULL,'HU','HUESCA',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo local - Censo local Nulo)');

    
	p_altacensolocal(NULL,'AR','HU','HUESCA',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Censo local - Censo local Nulo)');
END;
/


--********************************************************************************************
--                                  ALTA CENTRO ELECTORAL
--********************************************************************************************


/* ALTA DE UN CENSO REGIONAL VALIDO */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacentroelectoral(70,'Centro1','C\Centro Huesca N 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Centro electoral - Centro electoral valido)');
END;
/


/* RELLENAR CENTROS ELECTORALES */
DECLARE
	RSP varchar2(500);
BEGIN
         p_altacentroelectoral(70,'Centro2','C\Centro Huesca N 2',RSP);
	 p_altacentroelectoral(70,'Centro3','C\Centro Huesca N 3',RSP);
         p_altacentroelectoral(70,'Centro4','C\Centro Huesca N 4',RSP);
	 
	 p_altacentroelectoral(95,'Centro1','C\Centro Luxemburgo N 1',RSP);
         p_altacentroelectoral(95,'Centro2','C\Centro Luxemburgo N 2',RSP);
	 p_altacentroelectoral(95,'Centro3','C\Centro Luxemburgo N 3',RSP);
         p_altacentroelectoral(95,'Centro4','C\Centro Luxemburgo N 4',RSP);
	 p_altacentroelectoral(95,'Centro5','C\Centro Luxemburgo N 5',RSP);

	 p_altacentroelectoral(76,'Centro1','C\Centro Caceres N 2',RSP);
	 p_altacentroelectoral(77,'Centro1','C\Centro Badajoz N 3',RSP);
           
	 p_altacentroelectoral(78,'Centro1','C\Centro Alicante N 1',RSP);
         p_altacentroelectoral(79,'Centro1','C\Centro Castellon N 2',RSP);
	 p_altacentroelectoral(80,'Centro1','C\Centro Valencia N 3',RSP);

	 p_altacentroelectoral(81,'Centro1','C\Centro Albacete N 1',RSP);
         p_altacentroelectoral(82,'Centro1','C\Centro Ciudad Real N 2',RSP);
	 p_altacentroelectoral(83,'Centro1','C\Centro Cuenca N 3',RSP);
         p_altacentroelectoral(84,'Centro1','C\Centro Guadalajara N 4',RSP);
	 p_altacentroelectoral(85,'Centro1','C\Centro Toledo N 5',RSP);

	 p_altacentroelectoral(105,'Centro1','C\Centro Pescara N 1',RSP);
         p_altacentroelectoral(112,'Centro1','C\Centro Napoles N 2',RSP);
	 p_altacentroelectoral(113,'Centro1','C\Centro Salermo N 3',RSP);

         p_altacentroelectoral(97,'Centro1','C\Centro Karlskrona N 4',RSP);
	 p_altacentroelectoral(100,'Centro1','C\Centro Avesta N 5',RSP);

	 p_altacentroelectoral(73,'Centro1','C\Centro Lugo N 3',RSP);
	 p_altacentroelectoral(75,'Centro1','C\Centro Pontevedra N 3',RSP);

 	 p_altacentroelectoral(69,'Centro1','C\Centro Zaragoza N 3',RSP);
	 
END;
/


/* Test Alta Centro electoral ya existente */
DECLARE
	RSP varchar2(500);
BEGIN
	
	 p_altacentroelectoral(70,'Centro4','C\Centro Huesca N 4',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Centro electoral - Centro electoral ya existente)');
END;
/

/* Test Alta Centro localidad NO valida */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacentroelectoral(500,'Centro5','C\Centro Luxemburgo N 5',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Centro Electoral - Localidad no valida)');
END;
/

/* Test Alta Centro electoral NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacentroelectoral(76,NULL,'C\Centro Luxemburgo N 5',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Centro Electoral - Centro electoral Nulo)');
END;
/

--********************************************************************************************
--                                  ALTA MESA ELECTORAL
--********************************************************************************************


/* ALTA DE UNA MESA ELECTORAL VALIDA */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altamesa(1,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Mesa electoral - Mesa electoral valida)');
END;
/


/* RELLENAR MESAS ELECTORALES */
DECLARE
	RSP varchar2(500);
BEGIN
         p_altamesa(1,'Mesa 2',RSP);
	 p_altamesa(1,'Mesa 3',RSP);
	 p_altamesa(1,'Mesa 4',RSP);

	 p_altamesa(2,'Mesa 1',RSP);
         p_altamesa(2,'Mesa 2',RSP);

	 p_altamesa(3,'Mesa 1',RSP);

	 p_altamesa(4,'Mesa 1',RSP);

	 p_altamesa(5,'Mesa 1',RSP);
	 
	 p_altamesa(6,'Mesa 1',RSP);
	 p_altamesa(7,'Mesa 1',RSP);

         p_altamesa(8,'Mesa 1',RSP);
	 p_altamesa(8,'Mesa 2',RSP);

	

 	 p_altamesa(9,'Mesa 1',RSP);
	 p_altamesa(10,'Mesa 1',RSP);
         p_altamesa(11,'Mesa 1',RSP);
	 

         p_altamesa(12,'Mesa 1',RSP);

	 p_altamesa(13,'Mesa 1',RSP);
	 p_altamesa(13,'Mesa 2',RSP);

	 p_altamesa(14,'Mesa 1',RSP);

	 p_altamesa(15,'Mesa 1',RSP);
         p_altamesa(15,'Mesa 2',RSP);

	 p_altamesa(16,'Mesa 1',RSP);
         p_altamesa(16,'Mesa 2',RSP);

	 p_altamesa(17,'Mesa 1',RSP);
	 p_altamesa(18,'Mesa 1',RSP);
         p_altamesa(19,'Mesa 1',RSP);
	 p_altamesa(20,'Mesa 1',RSP);
	 p_altamesa(21,'Mesa 1',RSP);
         p_altamesa(22,'Mesa 1',RSP);
	 p_altamesa(23,'Mesa 1',RSP);
	 p_altamesa(24,'Mesa 1',RSP);
	 p_altamesa(25,'Mesa 1',RSP);

	 p_altamesa(26,'Mesa 1',RSP);
	
	 p_altamesa(27,'Mesa 1',RSP);
        	 
END;
/


/* Test Alta Mesa electoral ya existente */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altamesa(1,'Mesa 2',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Mesa electoral - Mesa electoral ya existente)');
END;
/

/* Test Alta Mesa electoral NO valida */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altamesa(100,'Mesa 2',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Mesa Electoral - Centro electoral no valido)');
END;
/

/* Test Alta Mesa electoral NUlo */
DECLARE
	RSP varchar2(500);
BEGIN

	p_altamesa(1,NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Mesa Electoral - Mesa electoral Nulo)');
END;
/


--********************************************************************************************
--                                  ALTA VOTO NULO Y VOTO EN BLANCO
--********************************************************************************************


/* ALTA DE VOTO NULO VALIDO */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altavotonulo(RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Voto nulo - Voto nulo valido)');
END;
/


/* ALTA DE VOTO BLANCO VALIDO */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altavotoblanco(RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Voto blanco - Voto blanco valido)');
END;
/


/* Test Voto nulo ya existente */
DECLARE
	RSP varchar2(500);
BEGIN

	p_altavotonulo(RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Voto nulo - Voto nulo ya existente)');
END;
/


/* Test Voto blanco ya existente */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altavotoblanco(RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Voto blanco - Voto blanco ya existente)');
END;
/


--********************************************************************************************
--                                  ALTA PARTIDO POLITICO
--********************************************************************************************


/* ALTA DE UN PARTIDO POLITICO */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altapartido('PSOE','Partido Socialista Obrero Espaol','Sede PSOE',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Partido - Partido valido)');
END;
/


/* RELLENAR PARTIDOS POLITICOS*/
DECLARE
	RSP varchar2(500);
BEGIN
  	p_altapartido('PP','Partido Popular','Sede PP',RSP);
	p_altapartido('UPD','Union, Progreso y Democracia','Sede UPD',RSP);
	p_altapartido('IU','IZQUIERDA UNIDA','Sede IU',RSP);
	p_altapartido('CH','Chunta Aragonesista','Sede CH',RSP);
        p_altapartido('TP','Todos los pueblos','sede TP',RSP);
	p_altapartido('PC','Partido Comunista','sede PC',RSP);
END;

/


/* Test Alta Partido Politico ya existente */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altapartido('PP','Partido Popular','Sede PP',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Partido - Partido Politico ya existente)');
END;
/



/* Test Alta Partido NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altapartido(NULL,'Partido Popular','Sede PP',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Partido - Siglas Nulo)');
	p_altapartido('PP',NULL,'Sede PP',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Partido - Partido Nulo)');
END;
/

--********************************************************************************************
--                                  ALTA ELECTOR
--********************************************************************************************


/* ALTA DE UN ELECTOR */

DECLARE
	RSP varchar2(500);
BEGIN
	-- Region aragon, localidad Zaragoza
	p_altaelector('hCLcowDLqdhBtRA',34,69,'21/09/75',1,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector - Elector valido)');
END;
/


/* RELLENAR ELECTORES*/
DECLARE
	RSP varchar2(500);
BEGIN
	-- Region aragon, localidad huesca

  	p_altaelector('qSOtGDKmVpOYmFy',34,70,'21/09/75',1,'Mesa 1',RSP);
	p_altaelector('dMgYRNBizUyXPvv',34,70,'08/10/74',1,'Mesa 2',RSP);
	p_altaelector('ugYWCyOuAAKQlIC',34,70,'22/09/75',2,'Mesa 1',RSP);
	p_altaelector('yeyodzsQydhjwIg',34,70,'23/09/75',2,'Mesa 1',RSP);
	p_altaelector('ULSolUetfEWQkOu',34,70,'24/09/75',3,'Mesa 1',RSP);

	p_altaelector('FOxoCtqQLARlSLF',34,70,'21/09/75',1,'Mesa 1',RSP);
	p_altaelector('KjMhLKFjJIctMFT',34,70,'08/10/74',1,'Mesa 1',RSP);
	p_altaelector('bSqXPkKpAfiQKIG',34,70,'22/09/75',1,'Mesa 1',RSP);
	p_altaelector('YGegmGknuAOrqAH',34,70,'23/09/75',1,'Mesa 1',RSP);
	p_altaelector('MSiCXgWdBFpScsT',34,70,'24/09/75',1,'Mesa 1',RSP);
	p_altaelector('QepnpOAxsNbgiNP',34,70,'21/09/75',1,'Mesa 1',RSP);
	p_altaelector('rXIihGwglHevwJe',34,70,'08/10/74',1,'Mesa 1',RSP);
	p_altaelector('aBSjnEFrxAauPkl',34,70,'22/09/75',1,'Mesa 1',RSP);
	p_altaelector('wOBJoXYZYFYJlky',34,70,'23/09/75',1,'Mesa 1',RSP);
	p_altaelector('tayKxPknENsxCxR',34,70,'24/09/75',1,'Mesa 1',RSP);
	p_altaelector('rtumRSTUjDfabUY',34,70,'23/09/75',1,'Mesa 1',RSP);
	p_altaelector('CzRwLXJAYqKGzMm',34,70,'24/09/75',1,'Mesa 1',RSP);

	

	--Region Galicia , localidad lugo
	
	p_altaelector('HvPYrAWepvUWjZu',41,73,'25/09/75',25,'Mesa 1',RSP);
	p_altaelector('WcYesAQcfsXOITL',41,73,'26/09/75',25,'Mesa 1',RSP);
	p_altaelector('fWpPYCRHmruzVXD',41,73,'27/09/75',25,'Mesa 1',RSP);


        -- Region Extremadura, localidad caceres
	  
	p_altaelector('DJgItBDCeHvkClg',40,76,'13/08/72',9,'Mesa 1',RSP);
        p_altaelector('EepXhwAUAOwCkEf',40,76,'13/08/72',9,'Mesa 1',RSP);
	
	-- Region Extremadura, localida Badajoz

	p_altaelector('umGTKzgpmTvlUKq',40,77,'13/08/72',10,'Mesa 1',RSP);
	p_altaelector('MFzwzxJvCuSFity',40,77,'13/08/72',10,'Mesa 2',RSP);


	-- Region Comunidad Valenciana, localidad Alicante

	p_altaelector('hxokaFkjaTYZasr',49,78,'13/06/72',11,'Mesa 1',RSP);
	p_altaelector('mMazKvztAioELCD',49,78,'13/07/72',11,'Mesa 2',RSP);
        p_altaelector('sIYnzzCdUHctEgx',49,78,'13/09/72',11,'Mesa 1',RSP);

	-- Region Comunidad Valenciana, localidad Castellon

	p_altaelector('CPkwPkkKcnXgKlu',49,79,'13/01/72',12,'Mesa 1',RSP);
	p_altaelector('TYtxQkoHLbbYDGa',49,79,'13/02/72',12,'Mesa 2',RSP);
	
	-- Region Comunidad Valenciana, localidad Valencia

	p_altaelector('ntrWOFGjhUggEyl',49,80,'13/03/72',13,'Mesa 1',RSP);
	p_altaelector('tWBOEtdsnJerIzW',49,80,'13/04/72',13,'Mesa 2',RSP);
        p_altaelector('KYDUJmlQUcoEZCO',49,80,'13/05/72',13,'Mesa 1',RSP);

	-- inscribo un cidudadano extranjero residiendo en Espaa, este ciudadano no se tiene que sumar a los electores de las elecciones espaolas, solo en las locales espaolas
	p_altaelector('MbakjdWEUAHrUHW',57,83,'15/06/1950',1,'Mesa 1',RSP);


	--Region Abruzzi,  localidad Pescara
	p_altaelector('lbuiJhRBBTyrIzm',62,105,'15/08/50',19,'Mesa 1',RSP);

	--Region Condado de Blekinge, localidad Karlskrona 
	p_altaelector('eIalZSTUeOzZqpM',58,97,'20/08/50',22,'Mesa 1',RSP);

	--Region Castilla la mancha, localidad Toledo
	p_altaelector('HkHrWCZVpDRtUaF',38,85,'22/08/53',19,'Mesa 1',RSP);



	-- Region Galicia, localidad Pontevedra

  	p_altaelector('HxCzGqdFoIgPZcD',41,75,'21/09/75',26,'Mesa 1',RSP);
	p_altaelector('CwIyyTCXSpGsFoi',41,75,'08/10/74',26,'Mesa 1',RSP);
	p_altaelector('gpjTjbZacjIvkbX',41,75,'22/09/75',26,'Mesa 1',RSP);
	p_altaelector('CetfkIIUnixEuFv',41,75,'23/09/75',26,'Mesa 1',RSP);
	p_altaelector('ZKvXcQryDfmFDja',41,75,'24/09/75',26,'Mesa 1',RSP);
	p_altaelector('qEBMVqANJWPmnOp',41,75,'21/09/75',26,'Mesa 1',RSP);
	p_altaelector('XylXHlMcaahQzjT',41,75,'08/10/74',26,'Mesa 1',RSP);
	p_altaelector('iyYpuTvvTEvahLq',41,75,'22/09/75',26,'Mesa 1',RSP);

	-- Region aragon, localidad Zaragoza

  	p_altaelector('biGteyvbuDKEKSr',34,69,'21/09/75',27,'Mesa 1',RSP);
	p_altaelector('UzfMbZxtnzKKybI',34,69,'08/10/74',27,'Mesa 1',RSP);
	p_altaelector('CwqHfTXfzozihTJ',34,69,'22/09/75',27,'Mesa 1',RSP);
	p_altaelector('DUJZdMHfWabsQsF',34,69,'23/09/75',27,'Mesa 1',RSP);
	p_altaelector('HxYlKqYhyqJzOuv',34,69,'24/09/75',27,'Mesa 1',RSP);
	p_altaelector('jBNxYnWGHfcXjXX',34,69,'21/09/75',27,'Mesa 1',RSP);
	p_altaelector('ZecXZKZGAHudJnX',34,69,'08/10/74',27,'Mesa 1',RSP);
	p_altaelector('HqhkXAfmyMnZvUi',34,69,'22/09/75',27,'Mesa 1',RSP);
	p_altaelector('NyLaOjKnAwqvrGM',34,69,'21/09/75',27,'Mesa 1',RSP);
	
	--Region Extremadura,  localidad Badajoz
	p_altaelector('lbuiJhRBBTyrIzm',40,77,'15/08/50',11,'Mesa 1',RSP);
	p_altaelector('KexoPzXPKWmRCTu',40,77,'15/08/50',11,'Mesa 1',RSP);
	p_altaelector('smEMiINTbXDhcbd',40,77,'21/09/75',11,'Mesa 1',RSP);
	p_altaelector('MqQwACZTjtkkddh',40,77,'08/10/74',11,'Mesa 1',RSP);
	p_altaelector('dCaEIZEEZohhfQr',40,77,'22/09/75',11,'Mesa 1',RSP);
	p_altaelector('dkFbSnUcmdlXoqL',40,77,'23/09/75',11,'Mesa 1',RSP);
	p_altaelector('qqWCbMGgfDBYybR',40,77,'24/09/75',11,'Mesa 1',RSP);
	p_altaelector('uDEoUDXyGUHoysy',40,77,'21/09/75',11,'Mesa 1',RSP);
	p_altaelector('luvvqJulxXgldau',40,77,'08/10/74',11,'Mesa 1',RSP);
	p_altaelector('EPgqSGaMoSKyKAU',40,77,'22/09/75',11,'Mesa 1',RSP);
	p_altaelector('LrabyrhsNORkpSu',40,77,'21/09/75',11,'Mesa 1',RSP);
	p_altaelector('xcNmLZvYEnDEtGr',40,77,'22/09/75',11,'Mesa 1',RSP);
	p_altaelector('dFdYyfdLTHTgQgl',40,77,'23/09/75',11,'Mesa 1',RSP);
	p_altaelector('BXoCEVXGZZzvfUF',40,77,'24/09/75',11,'Mesa 1',RSP);
	p_altaelector('LwwtpHaRMQCEYDT',40,77,'21/09/75',11,'Mesa 1',RSP);
	p_altaelector('kMXRxGwgzPOckwH',40,77,'08/10/74',11,'Mesa 1',RSP);
  	p_altaelector('NjCVSoCFlSzODPq',40,77,'21/09/75',11,'Mesa 1',RSP);
	p_altaelector('jLyqnQQTeNEwuCr',40,77,'08/10/74',11,'Mesa 1',RSP);

	--Region Abruzzi,  localidad Pescara
	p_altaelector('jBfBfCCqjrbLYel',62,105,'15/08/50',19,'Mesa 1',RSP);
	p_altaelector('PnAPmVtbJFDMlVN',62,105,'15/08/50',19,'Mesa 1',RSP);
	p_altaelector('xfhfRuennrEKOux',62,105,'21/09/75',19,'Mesa 1',RSP);
	p_altaelector('aSsmhljwqzoErmB',62,105,'08/10/74',19,'Mesa 1',RSP);
	p_altaelector('PAWRXsFCRYGsKdg',62,105,'22/09/75',19,'Mesa 1',RSP);
	p_altaelector('STtBrkyVSDxUmXE',62,105,'23/09/75',19,'Mesa 1',RSP);
	p_altaelector('vtnJIcCTxOzYkxL',62,105,'24/09/75',19,'Mesa 1',RSP);
	p_altaelector('SCQkBfoqHTSxqDu',62,105,'21/09/75',19,'Mesa 1',RSP);
	p_altaelector('wBwFiPUNxdhTRmp',62,105,'08/10/74',19,'Mesa 1',RSP);
	p_altaelector('vQXjnzzbNLPMlAM',62,105,'22/09/75',19,'Mesa 1',RSP);
	p_altaelector('XzVtTinFLIwjkBo',62,105,'21/09/75',19,'Mesa 1',RSP);
	p_altaelector('UkGfCGxqeIIRIqj',62,105,'22/09/75',19,'Mesa 1',RSP);
	p_altaelector('brNSXBBFrAENHTp',62,105,'23/09/75',19,'Mesa 1',RSP);
	p_altaelector('oULUrSTirrfHmCK',62,105,'24/09/75',19,'Mesa 1',RSP);
	p_altaelector('SOwYbTklHgVpTmW',62,105,'21/09/75',19,'Mesa 1',RSP);
	p_altaelector('wlLqczjbYbSXVFZ',62,105,'08/10/74',19,'Mesa 1',RSP);
  	p_altaelector('LTUoYfgsFwUpAod',62,105,'21/09/75',19,'Mesa 1',RSP);

  	
END;
/

/* Test alta edad menor de 18 aos*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altaelector('tPtWHajMlLATdgK',41,64,'21/09/11',1,'Mesa 2',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector - Menor de Edad)');

	
END;
/

/* Test alta elector repetido*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altaelector('KYDUJmlQUcoEZCO',49,80,'13/05/72',13,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector - Elector repetido)');

	
END;
/


/* Test alta region, localidad, Centro y Mesa Incorrectos*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altaelector('MBAfLsYAhgOXXzQ',100,80,'21/09/75',13,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector - Region incorrecta)');

	p_altaelector('MBAfLsYAhgOXXzQ',34,500,'21/09/75',1,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector - localidad incorrecta)');

	p_altaelector('MBAfLsYAhgOXXzQ',34,60,'21/09/75',100,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector - Centro Incorrecto)');

	p_altaelector('MBAfLsYAhgOXXzQ',34,60,'21/09/75',1,'Mesa 34',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector - Mesa Incorrecta)');
	
END;

/

/* Test Alta Elector NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_altaelector('MBAfLsYAhgOXXzQ',NULL,80,'21/09/75',1,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector - Region Nulo)');
	p_altaelector('MBAfLsYAhgOXXzQ',34,NULL,'21/09/75',1,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector - Localidad Nulo)');
	p_altaelector('MBAfLsYAhgOXXzQ',34,70,NULL,1,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector - Fecha Nacimiento Nulo)');
	p_altaelector('MBAfLsYAhgOXXzQ',34,97,'21/09/75',NULL,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector - Centro Electoral Nulo)');
	p_altaelector('MBAfLsYAhgOXXzQ',34,97,'21/09/75',1,Null,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector - Mesa Nulo)');
END;
/

/* Test Alta Elector Extranjero */
DECLARE
	RSP varchar2(500);
BEGIN

-- El codigo del censo local pertenece a un pais, y el codigo del censo regional pertenece a otro pais
	p_altaelector('UmYJxziwnBGeljo',52,76,'21/09/75',9,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector -  Inscripcion de un extranjero valido)');	
END;
/

/* Test Alta Elector Nacional */
DECLARE
	RSP varchar2(500);
BEGIN

-- El codigo del censo local pertenece a un pais, y el codigo del censo regional pertenece al mismo pais
	p_altaelector('oqkHEfAVGbPMuhu',49,80,'21/09/75',13,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector -  Inscripcion de un Nacional valido)');	
END;
/

/* Test Alta Elector Nacional no valido */
DECLARE
	RSP varchar2(500);
BEGIN

-- El codigo del censo local pertenece a un pais, y el codigo del censo regional pertenece al mismo pais pero la localidad no pertenece a la region
	p_altaelector('MBAfLsYAhgOXXzQ',40,80,'21/09/75',1,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Elector -  Inscripcion de un Nacional no valido)');	
END;
/
--********************************************************************************************
--                                  ALTA CANDIDATO
--********************************************************************************************


/* ALTA DE UN CANDIDATO */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacandidato('hCLcowDLqdhBtRA','Juan','Perez','Gonzalez',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Candidato - Candidato valido)');
END;
/


/* RELLENAR CANDIDATOS*/
DECLARE
	RSP varchar2(500);
BEGIN
  	p_altacandidato('qSOtGDKmVpOYmFy','lUIS','Sanchez','Jimenez',RSP);
	p_altacandidato('dMgYRNBizUyXPvv','Maria','Gil','Santana',RSP);
	p_altacandidato('ugYWCyOuAAKQlIC','Luisa','Martin','Torres',RSP);
	p_altacandidato('lbuiJhRBBTyrIzm','Jorge','Santana','Milagros',RSP);
	p_altacandidato('oqkHEfAVGbPMuhu','Miguel','Jimenez','Sanchez',RSP);

END;
/


/* Test alta candidato repetido*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altacandidato('qSOtGDKmVpOYmFy','lUIS','Sanchez','Jimenez',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Candidato - Candidato repetido)');

	
END;
/


/* Test codigo de elector inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altacandidato('aaaaaaaaaaaaaaa','lUIS','Sanchez','Jimenez',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Candidato - Codigo Erroneo)');
	
END;

/

/* Test Alta Candidato NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_altacandidato(NULL,'lUIS','Sanchez','Jimenez',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Candidato - Codigo Nulo)');
	p_altacandidato('dMgYRNBizUyXPvv',NULL,'Gil','Santana',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Candidato - Nombre Nulo)');
	p_altacandidato('ugYWCyOuAAKQlIC','Luisa',NULL,'Torres',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Candidato - Apellido Nulo)');
END;
/

--********************************************************************************************
--                                  ALTA VOTACION
--********************************************************************************************


/* ALTA DE UNA VOTACION */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altavotacion('ELECCIONES AL PARLAMENTO EUROPEO','Votacion correspondiente a todos los ciudadanos de la union Europea','27/11/12','05/12/12','20/12/12','direccionweb1',1,'Presidente1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Votacion - Votacion valida)');
END;
/


/* RELLENAR VOTACIONES*/
DECLARE
	RSP varchar2(500);
BEGIN
  	p_altavotacion('ELECCIONES GENERALES DE ESPAA','Votacion correspondiente a todos los ciudadanos de Espaa','01/03/12','15/04/12','20/05/12','direccionweb2',2,'Presidente2',RSP);
	p_altavotacion('ELECCIONES A LA COMUNIDAD AUTONOMA DE ARAGON','Votacion correspondiente a todos los ciudadanos de Aragon','01/02/12','25/02/12','20/03/12','direccionweb3',3,'Presidente3',RSP);
	p_altavotacion('ELECCIONES AL AYUNTAMIENTO DE ZARAGOZA','Votacion correspondiente a todos los ciudadanos de la ciudad de Zaragoza','27/11/11','07/12/11','27/12/11','direccionweb4',4,'Presidente4',RSP);
	p_altavotacion('ELECCIONES AL AYUNTAMIENTO DE ZARAGOZA','Votacion correspondiente a todos los ciudadanos de Zaragoza','01/02/12','25/02/12','20/03/12','direccionweb2',4,'Presidente2',RSP);
	p_altavotacion('ELECCIONES AL PARLAMENTO EUROPEO','Votacion correspondiente a todos los ciudadanos de la union Europea','13/05/12','22/05/12','02/06/12','direccionweb4',1,'Presidente4',RSP);
	p_altavotacion('ELECCIONES ESPAOLAS','Votacion correspondiente a todos los ciudadanos de Espaa','13/05/13','22/05/13','02/06/13','direccionweb4',2,'Presidente4',RSP);
	p_altavotacion('ELECCIONES EXTREMADURA','Votacion correspondiente a todos los ciudadanos de Extremadura','13/05/13','22/05/13','02/06/13','direccionweb4',3,'Presidente4',RSP);
	p_altavotacion('ELECCIONES ALICANTE','Votacion correspondiente a todos los ciudadanos de Alicante','13/05/13','22/05/13','02/06/13','direccionweb4',4,'Presidente4',RSP);
	
	p_altavotacion('ELECCIONES ITALIA-SUECIA-ESPAA','Votacion correspondiente a todos los ciudadanos de italia,suecia, espaa','13/05/12','22/05/12','02/06/12','direccionweb4',2,'Presidente4',RSP);
	p_altavotacion('ELECCIONES ARAGON-EXTREMADURA','Votacion correspondiente a todos los ciudadanos de aragon y extremadura','13/05/13','22/05/13','02/06/13','direccionweb4',3,'Presidente4',RSP);
	p_altavotacion('ELECCIONES COMUNIDAD VALENCIANA - ABRUZI','Votacion correspondiente a todos los ciudadanos de Comunidad Valenciana y Abruzi','13/05/13','22/05/13','02/06/13','direccionweb4',3,'Presidente4',RSP);
	p_altavotacion('ELECCIONES GUADALAJARA-ALICANTE-PESCARA','Votacion correspondiente a todos los ciudadanos de Guadalajara,Alicante y Pescara','13/05/13','22/05/13','02/06/13','direccionweb4',4,'Presidente4',RSP);

END;
/


/* Test alta votacion repetida*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altavotacion('ELECCIONES GENERALES DE ESPAA','Votacion correspondiente a todos los ciudadanos de Espaa','01/03/12','15/04/12','20/05/12','direccionweb2',2,'Presidente2',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Votacion - Votacion repetida)');

	
END;
/


/* Test codigo ambito inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altavotacion('ELECCIONES A LA COMUNIDAD GALLEGA','Votacion correspondiente a todos los ciudadanos de GALICIA','28/11/12','06/12/12','20/12/12','direccionweb1',5,'Presidente1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Votacion - Ambito Erroneo)');
	
END;

/

/* Test Alta Votacion NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_altavotacion(NULL,'Votacion correspondiente a todos los ciudadanos de la union Europea','30/11/12',NULL,NULL,'direccionweb1',5,'Presidente1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Votacion - Campos Nulos)');
	
END;
/

/* Test Alta fecha publicacion menor que la fecha actual */
DECLARE
	RSP varchar2(500);
BEGIN
	p_altavotacion('ELECCIONES AL PARLAMENTO EUROPEO','Votacion correspondiente a todos los ciudadanos de la union Europea','01/02/11','01/03/11','15/03/11','direccionweb1',5,'Presidente1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Votacion - Fecha publicacion menor que fecha actual)');
	
END;
/

/* Test Alta fecha publicacion anterior a una semana a la fecha de inicio de la votacion */
DECLARE
	RSP varchar2(500);
BEGIN
	p_altavotacion('ELECCIONES AL PARLAMENTO EUROPEO','Votacion correspondiente a todos los ciudadanos de la union Europea','18/01/12','20/01/12','15/03/12','direccionweb1',5,'Presidente1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Votacion - Fecha publicacion anterior a una semana a la fecha de inicio)');
	
END;
/


/* Test Alta fecha fecha inicio posterior a la fecha de finalizacion de la votacion */
DECLARE
	RSP varchar2(500);
BEGIN
	p_altavotacion('ELECCIONES AL PARLAMENTO EUROPEO','Votacion correspondiente a todos los ciudadanos de la union Europea','19/01/12','18/02/12','16/02/12','direccionweb1',5,'Presidente1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Votacion -Fecha inicio posterior a fecha fin)');
	
END;
/

--********************************************************************************************
--    ALTA ASIGNAR LAS DISTINTAS OPCIONES QUE SE PUEDEN VOTAR EN UNA VOTACION CONCRETA
--********************************************************************************************


/* ASIGNACION DE UNA OPCION A UNA VOTACION */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altaopcionesvotacion(1,1,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test asignar opcion - opcion votacion valida)');
END;
/


DECLARE
	RSP varchar2(500);
BEGIN
	-- habilito el censo para esta votacion
	 p_altacensoshabilitados(4,69,RSP);
	 p_altaopcionesvotacion(4,1,RSP);
  	 p_altaopcionesvotacion(4,2,RSP);
  	 p_altaopcionesvotacion(4,5,RSP);
	 p_altaopcionesvotacion(4,6,RSP);
  	 

	-- pongo las votacion en estado abierto para poder realizar el test

	update votacion set estado=3 where cod_votacion=4;

END;
/

commit;

/* ASIGNAR OPCIONES A LAS VOTACIONES*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altaopcionesvotacion(1,1,RSP);
  	p_altaopcionesvotacion(1,2,RSP);
	p_altaopcionesvotacion(1,5,RSP);
  	p_altaopcionesvotacion(1,6,RSP);
	p_altaopcionesvotacion(1,7,RSP);

	p_altaopcionesvotacion(2,1,RSP);
  	p_altaopcionesvotacion(2,2,RSP);
  	p_altaopcionesvotacion(2,5,RSP);
	p_altaopcionesvotacion(2,6,RSP);
  	p_altaopcionesvotacion(2,7,RSP);
	p_altaopcionesvotacion(2,8,RSP);

  	p_altaopcionesvotacion(3,1,RSP);
	p_altaopcionesvotacion(3,2,RSP);
  	p_altaopcionesvotacion(3,6,RSP);
	p_altaopcionesvotacion(3,8,RSP);
  	p_altaopcionesvotacion(3,9,RSP);
  	

	p_altaopcionesvotacion(5,1,RSP);
  	p_altaopcionesvotacion(5,2,RSP);
  	p_altaopcionesvotacion(5,5,RSP);
	p_altaopcionesvotacion(5,6,RSP);
  	p_altaopcionesvotacion(5,7,RSP);
	p_altaopcionesvotacion(5,8,RSP);
	p_altaopcionesvotacion(5,10,RSP);

	p_altaopcionesvotacion(6,1,RSP);
  	p_altaopcionesvotacion(6,2,RSP);
  	p_altaopcionesvotacion(6,5,RSP);
	p_altaopcionesvotacion(6,6,RSP);
  	p_altaopcionesvotacion(6,7,RSP);
	p_altaopcionesvotacion(6,8,RSP);
	p_altaopcionesvotacion(6,10,RSP);

	p_altaopcionesvotacion(7,1,RSP);
  	p_altaopcionesvotacion(7,2,RSP);
  	p_altaopcionesvotacion(7,5,RSP);
	p_altaopcionesvotacion(7,6,RSP);
  	p_altaopcionesvotacion(7,7,RSP);
	p_altaopcionesvotacion(7,8,RSP);

	p_altaopcionesvotacion(8,1,RSP);
  	p_altaopcionesvotacion(8,2,RSP);
  	p_altaopcionesvotacion(8,5,RSP);
	p_altaopcionesvotacion(8,6,RSP);
  	p_altaopcionesvotacion(8,7,RSP);
	p_altaopcionesvotacion(8,8,RSP);

	p_altaopcionesvotacion(9,1,RSP);
  	p_altaopcionesvotacion(9,2,RSP);
  	p_altaopcionesvotacion(9,5,RSP);
	p_altaopcionesvotacion(9,6,RSP);
  	p_altaopcionesvotacion(9,7,RSP);
	p_altaopcionesvotacion(9,8,RSP);

	p_altaopcionesvotacion(10,1,RSP);
  	p_altaopcionesvotacion(10,2,RSP);
  	p_altaopcionesvotacion(10,5,RSP);
	p_altaopcionesvotacion(10,6,RSP);
  	p_altaopcionesvotacion(10,7,RSP);
	p_altaopcionesvotacion(10,8,RSP);

	p_altaopcionesvotacion(11,1,RSP);
  	p_altaopcionesvotacion(11,2,RSP);
  	p_altaopcionesvotacion(11,5,RSP);
	p_altaopcionesvotacion(11,6,RSP);
  	p_altaopcionesvotacion(11,7,RSP);
	p_altaopcionesvotacion(11,8,RSP);

	p_altaopcionesvotacion(12,1,RSP);
  	p_altaopcionesvotacion(12,2,RSP);
  	p_altaopcionesvotacion(12,5,RSP);
	p_altaopcionesvotacion(12,6,RSP);
  	p_altaopcionesvotacion(12,7,RSP);
	p_altaopcionesvotacion(12,8,RSP);
	
END;
/


/* Test alta asignacion opcion votacion-votacion repetida*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altaopcionesvotacion(5,1,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Opciones Votacion - Asignacion Votacion-opcion repetida)');

	
END;
/


/* Test alta asignacion opcion votacion-votacion en estado abierto*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altaopcionesvotacion(4,1,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Opciones Votacion - Asignacion Votacion-opcion votacion en estado distinto de edicion)');

	
END;
/

/* Test codigo Votacion o codigo opcion inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altaopcionesvotacion(50,1,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Opciones Votacion - votacion erronea )');
	
	p_altaopcionesvotacion(10,50,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta opciones Votacion - optacion erronea)');
	
END;
/


/* Test Alta asignacion opcion votacion nula */
DECLARE
	RSP varchar2(500);
BEGIN
	p_altaopcionesvotacion(NULL,1,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Opciones Votacion - Campos Nulos)');

	p_altaopcionesvotacion(3,NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Opciones Votacion - Campos Nulos)');
	
END;
/

--********************************************************************************************
--    ALTA HABILITAR LOS DISTINTOS CENSOS QUE PUEDEN VOTAR EN UNA VOTACION CONCRETA
--********************************************************************************************



/* ASIGNAR CENSOS A LA VOTACION*/
DECLARE
	RSP varchar2(500);
BEGIN
  	
	p_altacensoshabilitados(2,26,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test habilitar censo a una votacion - opcion censo-votacion )');

	p_altacensoshabilitados(3,34,RSP);
	
	
	
END;
/


/* Test alta asignacion opcion censo-votacion repetida*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altacensoshabilitados(2,26,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test habilitar censo a una votacion - Asignacion censo-votacion repetida)');

	
END;
/


/* Test codigo Votacion o codigo opcion inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altacensoshabilitados(20,48,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test habilitar censo a una votacion - votacion erronea )');
	
	p_altacensoshabilitados(3,500,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test habilitar censo a una votacion - censo erroneo)');
	
END;
/



/* Test Alta asignacion censo global */
DECLARE
	RSP varchar2(500);
BEGIN
	p_altacensoshabilitados(1,1,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test habilitar censo a una votacion - Censo Global esta dado de alta al crear la votacion de ambito global)');

END;
/

/* Test Alta asignacion censo no corresponde con el ambito de la votacion */
DECLARE
	RSP varchar2(500);
BEGIN
	-- La votacion es de ambito nacional y el censo es regional
	p_altacensoshabilitados(2,55,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test habilitar censo a una votacion - Censo no corresponde ambito votacion)');

END;
/

--********************************************************************************************
--    ALTA ASIGNAR LOS CANDIDATOS A LOS PARTIDOS EN UNA VOTACION
--********************************************************************************************


/* ASIGNACION DE UN CANDIDATO A UN PARTIDO POLITICO EN UNA VOTACION */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altacandivotpartido(1,5,'hCLcowDLqdhBtRA',1,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votacion-partido-candidato - opcion votacion valida)');
END;
/


/* ASIGNAR CANDIDATO A UN PARTIDO A LAS VOTACIONES*/
DECLARE
	RSP varchar2(500);
BEGIN
  	p_altacandivotpartido(1,5,'qSOtGDKmVpOYmFy',2,RSP);
  	p_altacandivotpartido(1,5,'dMgYRNBizUyXPvv',3,RSP);

  	p_altacandivotpartido(2,6,'qSOtGDKmVpOYmFy',1,RSP);
  	p_altacandivotpartido(2,6,'hCLcowDLqdhBtRA',2,RSP);

  	p_altacandivotpartido(3,6,'hCLcowDLqdhBtRA',1,RSP);
  	p_altacandivotpartido(3,6,'ugYWCyOuAAKQlIC',2,RSP);
  	p_altacandivotpartido(3,6,'qSOtGDKmVpOYmFy',3,RSP);
  	p_altacandivotpartido(3,6,'dMgYRNBizUyXPvv',4,RSP);

	p_altacandivotpartido(5,7,'qSOtGDKmVpOYmFy',1,RSP);
	p_altacandivotpartido(5,7,'lbuiJhRBBTyrIzm',2,RSP);
  	p_altacandivotpartido(6,8,'dMgYRNBizUyXPvv',1,RSP);
	p_altacandivotpartido(6,8,'oqkHEfAVGbPMuhu',2,RSP);

END;
/


/* Test alta asignacion opcion votacion-partido-candidato repetida*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altacandivotpartido(1,5,'qSOtGDKmVpOYmFy',2,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votacion-partido-candidato - Asignacion Votacion-partido-candidato repetida)');

	
END;
/

/* Test alta asignacion opcion votacion-partido-candidato orden lista repetido*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altacandivotpartido(1,5,'MbakjdWEUAHrUHW',2,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votacion-partido-candidato - Asignacion Votacion-partido-orden lista repetido)');

	
END;
/


/* Test alta asignacion opcion votacion-partido-candidato con votacion en estado distinto de edicion*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altacandivotpartido(4,5,'qSOtGDKmVpOYmFy',2,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votacion-partido-candidato - Asignacion Votacion-partido-candidato votacion en estado distinto de edicion)');

	
END;
/


/* Test codigo Votacion o codigo partido o codigo candidato inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altacandivotpartido(20,5,'hCLcowDLqdhBtRA',2,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Votacion-partido-candidato - votacion erronea )');
	
	p_altacandivotpartido(2,5,'AAAAAA',2,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votacion-partido-candidato - candidato erroneo)');
	
END;
/


/* Test Alta asignacion opcion votacion-partido-candidato nula */
DECLARE
	RSP varchar2(500);
BEGIN
	p_altacandivotpartido(NULL,1,'hCLcowDLqdhBtRA',2,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votacion-partido-candidato- Campos Nulos)');
	
	p_altacandivotpartido(2,NULL,'hCLcowDLqdhBtRA',2,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votacion-partido-candidato - Campos Nulos)');

	p_altacandivotpartido(2,2,NULL,2,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votacion-partido-candidato - Campos Nulos)');
	
END;
/

/* Test Alta asignacion opcion votacion-partido-candidato partido no asignado a dicha votacion */
DECLARE
	RSP varchar2(500);
BEGIN
	p_altacandivotpartido(5,9,'hCLcowDLqdhBtRA',2,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votacion-partido-candidato- partido no asignado a esa votacion)');
	
END;
/


--********************************************************************************************
--    ALTA VOTAR
--********************************************************************************************

/* ASIGNACION DE UN VOTO DE UN ELECTOR A UN PARTIDO POLITICO EN UNA VOTACION */

DECLARE
	RSP varchar2(500);
BEGIN
	-- pongo las votaciones en estado abierto para poder realizar el test
	update votacion set estado=3, fecha_publicacion=sysdate-25, fecha_inicio=sysdate-3, fecha_fin=sysdate+3 where cod_votacion=1;
	update votacion set estado=3,fecha_publicacion=sysdate-30, fecha_inicio=sysdate-3, fecha_fin=sysdate+3 where cod_votacion=2;
	update votacion set estado=3,fecha_publicacion=sysdate-35, fecha_inicio=sysdate-5, fecha_fin=sysdate+5 where cod_votacion=3;
	update votacion set estado=3,fecha_publicacion=sysdate-40, fecha_inicio=sysdate-7, fecha_fin=sysdate+7 where cod_votacion=4;
	

END;
/

commit;

/* ASIGNACION DE UN VOTO DE UN ELECTOR A UN PARTIDO POLITICO EN UNA VOTACION */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_altavotar(1,5,'hCLcowDLqdhBtRA',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Altavotar - opcion votacion valida)');
END;
/



/* ASIGNAR VOTO DE UN ELECTOR A UN PARTIDO EN LAS VOTACIONES*/
DECLARE
	RSP varchar2(500);
BEGIN
  	p_altavotar(1,1,'qSOtGDKmVpOYmFy',RSP);
  	p_altavotar(1,2,'dMgYRNBizUyXPvv',RSP);
	p_altavotar(1,2,'ugYWCyOuAAKQlIC',RSP);
  	p_altavotar(1,5,'yeyodzsQydhjwIg',RSP);
	p_altavotar(1,6,'hCLcowDLqdhBtRA',RSP);
	p_altavotar(1,6,'rXIihGwglHevwJe',RSP);
  	p_altavotar(1,7,'aBSjnEFrxAauPkl',RSP);
  	p_altavotar(1,7,'wOBJoXYZYFYJlky',RSP);
	p_altavotar(1,7,'CzRwLXJAYqKGzMm',RSP);


  	p_altavotar(3,1,'ugYWCyOuAAKQlIC',RSP);
  	p_altavotar(3,6,'yeyodzsQydhjwIg',RSP);
  	p_altavotar(3,8,'qSOtGDKmVpOYmFy',RSP);
	p_altavotar(3,9,'hCLcowDLqdhBtRA',RSP);
	p_altavotar(3,2,'ugYWCyOuAAKQlIC',RSP);
	p_altavotar(3,9,'dMgYRNBizUyXPvv',RSP);
	p_altavotar(3,1,'FOxoCtqQLARlSLF',RSP);
  	p_altavotar(3,1,'KjMhLKFjJIctMFT',RSP);
  	p_altavotar(3,2,'bSqXPkKpAfiQKIG',RSP);
	p_altavotar(3,2,'YGegmGknuAOrqAH',RSP);
	p_altavotar(3,6,'MSiCXgWdBFpScsT',RSP);
	p_altavotar(3,6,'QepnpOAxsNbgiNP',RSP);


	p_altavotar(3,8,'rXIihGwglHevwJe',RSP);
  	p_altavotar(3,8,'aBSjnEFrxAauPkl',RSP);
  	p_altavotar(3,8,'wOBJoXYZYFYJlky',RSP);
	p_altavotar(3,9,'tayKxPknENsxCxR',RSP);
	p_altavotar(3,9,'rtumRSTUjDfabUY',RSP);
	p_altavotar(3,9,'CzRwLXJAYqKGzMm',RSP);




  	p_altavotar(2,8,'qSOtGDKmVpOYmFy',RSP);
  	p_altavotar(2,7,'hCLcowDLqdhBtRA',RSP);
	p_altavotar(2,7,'HxCzGqdFoIgPZcD',RSP);
	p_altavotar(2,7,'CwIyyTCXSpGsFoi',RSP);
	p_altavotar(2,1,'yeyodzsQydhjwIg',RSP);
	p_altavotar(2,1,'gpjTjbZacjIvkbX',RSP);
  	p_altavotar(2,2,'dMgYRNBizUyXPvv',RSP);
	p_altavotar(2,2,'CetfkIIUnixEuFv',RSP);
	p_altavotar(2,5,'ZKvXcQryDfmFDja',RSP);
	p_altavotar(2,5,'qEBMVqANJWPmnOp',RSP);
  	p_altavotar(2,6,'ugYWCyOuAAKQlIC',RSP);
  	p_altavotar(2,6,'ULSolUetfEWQkOu',RSP); 
	p_altavotar(2,5,'XylXHlMcaahQzjT',RSP);
  	p_altavotar(2,5,'iyYpuTvvTEvahLq',RSP); 

		

END;
/


/* Votacion estado distinto de abierta */
DECLARE
	RSP varchar2(500);
BEGIN
	p_altavotar(5,1,'qSOtGDKmVpOYmFy',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votar - Votacion que no esta abierta)');
END;
/

/* Votacion repetida */
DECLARE
	RSP varchar2(500);
BEGIN
	p_altavotar(1,1,'qSOtGDKmVpOYmFy',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votar - Votacion repetida)');
END;
/

/* Votacion no existe la opcion en esta votacion */
DECLARE
	RSP varchar2(500);
BEGIN
	p_altavotar(1,9,'qSOtGDKmVpOYmFy',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votar - No existe esta opcion en la votacion)');

	
END;
/

/* Test alta censo perteneciente a otra votacion*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altavotar(4,1,'qSOtGDKmVpOYmFy',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votar - censo perteneciente a otra votacion)');

	
END;
/


/* Test codigo Votacion o codigo partido o codigo votante inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_altavotar(45,1,'hCLcowDLqdhBtRA',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Votar - votacion erronea )');
	
	p_altavotar(3,10,'fWpPYCRHmruzVXD',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votar - opcion erronea)');

	p_altavotar(3,6,'AAAAAA',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votar - candidato erroneo)');
	
END;
/


/* Test Alta votacion-partido-votante nula */
DECLARE
	RSP varchar2(500);
BEGIN
	p_altavotar(NULL,5,'fWpPYCRHmruzVXD',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Votar- Campos Nulos)');
	
	p_altavotar(3,NULL,'fWpPYCRHmruzVXD',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Votar - Campos Nulos)');

	p_altavotar(3,5,NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta votar- Campos Nulos)');
	
END;
/


exec dbms_output.enable
--********************************************************************************************
--    ALTA INSERTAR EL NUMERO DE ELECTORES AL HABILITAR UN CENSO EN UNA VOTACION
--********************************************************************************************
--Este procedimiento se ejecuta cuando habilitamos los censos electorales en una votacion

/* HABILITAR EL CENSO GLOBAL */

-- No nos tiene que dejar habilitar el censo global ya que al dar de alta la votacion si el censo es global se habilitan automaticamente
-- todos los censos nacionales de la union europea.
DECLARE
	RSP varchar2(500);
BEGIN
	p_altacensoshabilitados(5,1,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test InsertaElectores - censo global, no tiene que dejar habilitar censos)');
	
END;
/


/* HABILITAR CENSO NACIONAL*/
DECLARE
	RSP varchar2(500);
        elect integer;
BEGIN

	-- compruebo el numero de electores inscritos en todas las regiones de Espaa antes de habilitar el censo en la votacion
	
	   select count(elector.cod_elector) into elect from censo_nacional,censo_regional,elector where censo_nacional.cod_pais=censo_regional.cod_pais and censo_regional.cod_cregional=elector.cod_cregional and (censo_nacional.cod_cnacional=26); 
	   DBMS_OUTPUT.PUT_LINE('Electores inscritos en Espaa: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en todas las regiones de Espaa)');
	
	   DBMS_OUTPUT.PUT_LINE('HABILITO EL CENSO DE ESPAA EN LA VOTACION 6');

	-- Habilito el censo en esta votacion
	   p_altacensoshabilitados(6,26,RSP);
	
	-- Compruebo el numero de electores de la votacion 6
	   select electores into elect from votacion where cod_votacion=6;
           DBMS_OUTPUT.PUT_LINE('Electores inscritos en la votacion 6: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en todas las regiones de Espaa)');

	
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test InsertaElectores - suma electores inscritos en todas las regiones de Espaa)');
END;
/

/* HABILITAR CENSO REGIONAL*/

DECLARE
	RSP varchar2(500);
        elect integer;
BEGIN
	
	
	-- compruebo el numero de electores inscritos en la region de Extremadura antes de habilitar el censo en la votacion	
	   select count(elector.cod_elector) into elect from censo_regional,elector where censo_regional.cod_cregional=elector.cod_cregional and (censo_regional.cod_cregional=40); 
	   DBMS_OUTPUT.PUT_LINE('Electores inscritos en Extremadura: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en Extremadura)');
	
	   DBMS_OUTPUT.PUT_LINE('HABILITO EL CENSO DE EXTREMADURA EN LA VOTACION 7');

	-- Habilito el censo Regional (Extremadura) en esta votacion
	   p_altacensoshabilitados(7,40,RSP);
	

         -- Compruebo el numero de electores de la votacion 
	   select electores into elect from votacion where cod_votacion=7;
           DBMS_OUTPUT.PUT_LINE('Electores inscritos en la votacion 7 al habilitarle el censo de Extremadura: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos Extremadura)');

END;
/

/* HABILITAR CENSO LOCAL*/

DECLARE
	RSP varchar2(500);
        elect integer;
BEGIN

	 

	-- compruebo el numero de electores inscritos en la localidad de Alicante antes de habilitar el censo en la votacion	
	   select count(elector.cod_elector) into elect from censo_local,elector where censo_local.cod_clocal=elector.cod_clocal and (censo_local.cod_clocal=78); 
	   DBMS_OUTPUT.PUT_LINE('Electores inscritos en Alicante: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en Alicante)');

	   DBMS_OUTPUT.PUT_LINE('HABILITO EL CENSO DE ALICANTE EN LA VOTACION 8');

	-- Habilito el censo regional (Alicante) en esta votacion
	   p_altacensoshabilitados(8,78,RSP);

	-- Compruebo el numero de electores de la votacion 8
	   select electores into elect from votacion where cod_votacion=8;
           DBMS_OUTPUT.PUT_LINE('Electores inscritos en la votacion 8: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos Alicante)');
	

END;
/

/* HABILITAR VARIOS CENSOS NACIONALES*/

DECLARE
	RSP varchar2(500);
        elect integer;
BEGIN

	 -- compruebo el numero de electores inscritos en todas las regiones de Espaa antes de habilitar el censo en la votacion
	
	   select count(elector.cod_elector) into elect from censo_nacional,censo_regional,elector where censo_nacional.cod_pais=censo_regional.cod_pais and censo_regional.cod_cregional=elector.cod_cregional and (censo_nacional.cod_cnacional=26); 
	   DBMS_OUTPUT.PUT_LINE('Electores inscritos en Espaa: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en todas las regiones de Espaa)');
	
	-- compruebo el numero de electores inscritos en todas las regiones de Italia antes de habilitar el censo en la votacion
	
	   select count(elector.cod_elector) into elect from censo_nacional,censo_regional,elector where censo_nacional.cod_pais=censo_regional.cod_pais and censo_regional.cod_cregional=elector.cod_cregional and (censo_nacional.cod_cnacional=15); 
	   DBMS_OUTPUT.PUT_LINE('Electores inscritos en Italia: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en todas las regiones de Italia)');
	
	-- compruebo el numero de electores inscritos en todas las regiones de Suecia antes de habilitar el censo en la votacion
	
	   select count(elector.cod_elector) into elect from censo_nacional,censo_regional,elector where censo_nacional.cod_pais=censo_regional.cod_pais and censo_regional.cod_cregional=elector.cod_cregional and (censo_nacional.cod_cnacional=27); 
	   DBMS_OUTPUT.PUT_LINE('Electores inscritos en Suecia: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en todas las regiones de Suecia)');


	   DBMS_OUTPUT.PUT_LINE('HABILITO LOS CENSOS DE ESPAA-ITALIA-SUECIA EN LA VOTACION 9');

	-- Habilito el censo en esta votacion
	   p_altacensoshabilitados(9,26,RSP);
	   p_altacensoshabilitados(9,15,RSP);
	   p_altacensoshabilitados(9,27,RSP);
	
	-- Compruebo el numero de electores de la votacion 9
	   select electores into elect from votacion where cod_votacion=9;
           DBMS_OUTPUT.PUT_LINE('Electores inscritos en la votacion 9: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en todas las regiones de Espaa)');

	
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test InsertaElectores - suma electores inscritos en todas las regiones de Espaa-italia-Suecia)');

	

END;
/

/* HABILITAR VARIOS CENSOS REGIONALES*/

DECLARE
	RSP varchar2(500);
        elect integer;
BEGIN
	
	
	-- compruebo el numero de electores inscritos en la region de Aragon antes de habilitar el censo en la votacion	
	   select count(elector.cod_elector) into elect from censo_regional,elector where censo_regional.cod_cregional=elector.cod_cregional and (censo_regional.cod_cregional=34); 
	   DBMS_OUTPUT.PUT_LINE('Electores inscritos en Aragon: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en Aragon)');

	-- compruebo el numero de electores inscritos en la region de Extremadura antes de habilitar el censo en la votacion	
	   select count(elector.cod_elector) into elect from censo_regional,elector where censo_regional.cod_cregional=elector.cod_cregional and (censo_regional.cod_cregional=40); 
	   DBMS_OUTPUT.PUT_LINE('Electores inscritos en Extremadura: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en Extremadura)');


	
	   DBMS_OUTPUT.PUT_LINE('HABILITO EL CENSO DE ARAGON-EXTREMADURA EN LA VOTACION 10');

	-- Habilito el censo Regional 
	   p_altacensoshabilitados(10,40,RSP);
	   p_altacensoshabilitados(10,34,RSP);
	

         -- Compruebo el numero de electores de la votacion 
	   select electores into elect from votacion where cod_votacion=10;
           DBMS_OUTPUT.PUT_LINE('Electores inscritos en la votacion 10 al habilitarle el censo de Extremadura-Aragon: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos Aragon-Extremadura)');



	  DBMS_OUTPUT.PUT_LINE('HABILITO EL CENSO DE COMUNIDAD VALENCIANA-ABRUZZI EN LA VOTACION 10');



	-- compruebo el numero de electores inscritos en la region de Comunidad Valenciana antes de habilitar el censo en la votacion	
	   select count(elector.cod_elector) into elect from censo_regional,elector where censo_regional.cod_cregional=elector.cod_cregional and (censo_regional.cod_cregional=49); 
	   DBMS_OUTPUT.PUT_LINE('Electores inscritos en Comunidad Valenciana: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en Comunidad Valenciana)');

	-- compruebo el numero de electores inscritos en la region de Abruzzi antes de habilitar el censo en la votacion	
	   select count(elector.cod_elector) into elect from censo_regional,elector where censo_regional.cod_cregional=elector.cod_cregional and (censo_regional.cod_cregional=62); 
	   DBMS_OUTPUT.PUT_LINE('Electores inscritos en Abruzzi: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en Abruzzi)');


	
	   DBMS_OUTPUT.PUT_LINE('HABILITO EL CENSO DE COMUNIDAD VALENCIANA-ABRUZZI EN LA VOTACION 11');

	-- Habilito el censo Regional 
	   p_altacensoshabilitados(11,49,RSP);
	   p_altacensoshabilitados(11,62,RSP);
	

         -- Compruebo el numero de electores de la votacion 
	   select electores into elect from votacion where cod_votacion=11;
           DBMS_OUTPUT.PUT_LINE('Electores inscritos en la votacion 11 al habilitarle el censo de cOMUNIDAD VALENCIANA - ABRUZZI: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos c.VALENCIANA-ABRUZZI)');

	

END;
/

/* HABILITAR VARIOS CENSOS LOCALES*/

DECLARE
	RSP varchar2(500);
        elect integer;
BEGIN

	 

	-- compruebo el numero de electores inscritos en la localidad de Alicante antes de habilitar el censo en la votacion	
	   select count(elector.cod_elector) into elect from censo_local,elector where censo_local.cod_clocal=elector.cod_clocal and (censo_local.cod_clocal=78); 
	   DBMS_OUTPUT.PUT_LINE('Electores inscritos en Alicante: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en Alicante)');


	-- compruebo el numero de electores inscritos en la localidad de Pescara antes de habilitar el censo en la votacion	
	   select count(elector.cod_elector) into elect from censo_local,elector where censo_local.cod_clocal=elector.cod_clocal and (censo_local.cod_clocal=105); 
	   DBMS_OUTPUT.PUT_LINE('Electores inscritos en Pescara: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en Pescara)');

	-- compruebo el numero de electores inscritos en la localidad de Guadalajara antes de habilitar el censo en la votacion	
	   select count(elector.cod_elector) into elect from censo_local,elector where censo_local.cod_clocal=elector.cod_clocal and (censo_local.cod_clocal=84); 
	   DBMS_OUTPUT.PUT_LINE('Electores inscritos en Guadalajara: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos en Guadalajara)');



	   DBMS_OUTPUT.PUT_LINE('HABILITO EL CENSO DE ALICANTE-PESCARA-GUADALAJARA EN LA VOTACION 12');

	-- Habilito el censo regional
	   p_altacensoshabilitados(12,78,RSP);
	   p_altacensoshabilitados(12,105,RSP);
	   p_altacensoshabilitados(12,84,RSP);

	-- Compruebo el numero de electores de la votacion 12
	   select electores into elect from votacion where cod_votacion=12;
           DBMS_OUTPUT.PUT_LINE('Electores inscritos en la votacion 12: '|| elect||',' || ' (Test InsertaElectores - suma electores inscritos Alicante-Guadalajara-Pescara)');
	 

END;
/

BEGIN
	-- abro votacion
	  update votacion set estado=3,fecha_publicacion=sysdate-40, fecha_inicio=sysdate-7, fecha_fin=sysdate+7 where cod_votacion=12;
END;
/

DECLARE
	RSP varchar2(500);     

BEGIN
  	  p_altavotar(12,5,'hxokaFkjaTYZasr',RSP);
  	  p_altavotar(12,6,'sIYnzzCdUHctEgx',RSP);
	  p_altavotar(12,1,'LTUoYfgsFwUpAod',RSP);
  	  p_altavotar(12,2,'lbuiJhRBBTyrIzm',RSP);

          p_altavotar(12,6,'jBfBfCCqjrbLYel',RSP);
  	  p_altavotar(12,6,'PnAPmVtbJFDMlVN',RSP);
	  p_altavotar(12,7,'xfhfRuennrEKOux',RSP);
  	  p_altavotar(12,7,'aSsmhljwqzoErmB',RSP);
	  p_altavotar(12,8,'PAWRXsFCRYGsKdg',RSP);
	  p_altavotar(12,8,'STtBrkyVSDxUmXE',RSP);
END;
/

exec dbms_output.enable
--********************************************************************************************
--    ACTUALIZA EL CAMPO ELECTORES AL AADIR UN ELECTOR AL CENSO
--********************************************************************************************
--Este procedimiento se ejecuta cuando damos de alta un elector

DECLARE
	RSP varchar2(500);
        vot_record votacion%rowtype;
      
        cursor vota is
          select * from votacion;
          
BEGIN
	-- Muestro las votaciones antes de aadir electores
      DBMS_OUTPUT.PUT_LINE('estado--> 1.edicion, 2.pendiente, 3.abierta, 4.finalizada' );
       open vota; -- Abro el cursor con las votaciones
            DBMS_OUTPUT.PUT_LINE('votacion'||'      titulo' );
                    loop
                        fetch vota into vot_record;
                        exit when vota%notfound;
                          DBMS_OUTPUT.PUT_LINE(vot_record.cod_votacion||'    ,     '||vot_record.titulo||', electores:'||vot_record.electores||'     , estado:'|| vot_record.estado||'     ,  ambito:'||vot_record.ambito);
		     end loop;
	   close vota;
             
END;

/

DECLARE
	RSP varchar2(500);      
BEGIN
	-- Aado un elector 
      
	-- Aado un elector en la region de Abruzzi, localidad Pescara
           DBMS_OUTPUT.PUT_LINE(' Aado un elector en la region de Abruzzi, localidad Pescara');
	   DBMS_OUTPUT.PUT_LINE(' Se debe aadir un elector a las votaciones 5,9,11, la votacion 1,12 no se actualizan al estar abiertas');

	--Region Abruzzi,  localidad Pescara
	p_altaelector('oiAlZmVSBpsScWv',62,105,'15/08/1950',19,'Mesa 1',RSP);

END;

/


DECLARE
	RSP varchar2(500);
        vot_record votacion%rowtype;
     
        cursor vota is
          select * from votacion;
          
BEGIN
	-- Muestro las votaciones antes de aadir electores
      DBMS_OUTPUT.PUT_LINE('estado--> 1.edicion, 2.pendiente, 3.abierta, 4.finalizada' );
       open vota; -- Abro el cursor con las votaciones
            DBMS_OUTPUT.PUT_LINE('votacion'||'      titulo' );
                    loop
                        fetch vota into vot_record;
                        exit when vota%notfound;
                          DBMS_OUTPUT.PUT_LINE(vot_record.cod_votacion||'    ,     '||vot_record.titulo||', electores:'||vot_record.electores||'     , estado:'|| vot_record.estado||'     ,  ambito:'||vot_record.ambito);
		     end loop;
	   close vota;
             
             
END;

/


DECLARE
	RSP varchar2(500);      
BEGIN
	-- Aado un elector 
      
	-- Aado un elector en la region de Condado de Blekinge, localidad Alicante
           DBMS_OUTPUT.PUT_LINE(' Aado un elector en la region de Blekinge, localidad Alicante');
	   DBMS_OUTPUT.PUT_LINE(' Caso de un extranjero Sueco viviendo en Alicante, puede votar a las elecciones munipales de Alicante');
	   DBMS_OUTPUT.PUT_LINE(' pero votara a las nacionales y regionales de suecia');
	   DBMS_OUTPUT.PUT_LINE(' Se debe aadir un elector a las votaciones 5,8,9');

	--Region Condado de Blekinge,  localidad Alicante
	p_altaelector('ZRRAHoRRBIIgrtZ',58,78,'15/08/1950',11,'Mesa 1',RSP);

END;

/

DECLARE
	RSP varchar2(500);
        vot_record votacion%rowtype;
     
        cursor vota is
          select * from votacion;
          
BEGIN
	-- Muestro las votaciones antes de aadir electores
      DBMS_OUTPUT.PUT_LINE('estado--> 1.edicion, 2.pendiente, 3.abierta, 4.finalizada' );
       open vota; -- Abro el cursor con las votaciones
            DBMS_OUTPUT.PUT_LINE('votacion'||'      titulo' );
                    loop
                        fetch vota into vot_record;
                        exit when vota%notfound;
                          DBMS_OUTPUT.PUT_LINE(vot_record.cod_votacion||'    ,     '||vot_record.titulo||', electores:'||vot_record.electores||'     , estado:'|| vot_record.estado||'     ,  ambito:'||vot_record.ambito);
		     end loop;
	   close vota;
             
             
END;

/

exec dbms_output.enable

--********************************************************************************************
--                                  MODIFICACION CENSO REGIONAL
--********************************************************************************************


/* MODIFICACION CORRECTA DE UN CENSO REGIONAL */

DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacensoregional(32,'es','ad','Andaluz',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Regional - Modificacion Censo Regional valida)');

	p_editacensoregional(32,'es','and-12','Anda',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Regional - Modificacion Censo Regional valida)');

	p_editacensoregional(32,NULL,'and-101','Andaluzia',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Regional - Modificacion Censo Regional valida)');

	p_editacensoregional(32,NULL,'and-10',NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Regional - Modificacion Censo Regional valida)');
END;
/



/* Test Modifica Censo Regional a uno ya existente */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacensoregional(32,'at','3','Baja Austria',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Regional - Modifica a un censo regional ya existente)');
END;
/

/* Test Modifica Censo Regional con electores ya inscritos */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacensoregional(34,'es','ara','Zelanda',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Regional - Modifica a un censo regional donde ya hay electores inscritos en esa region)');
END;
/

/* Test Modifica Censo Regional con localidades ya asignadas */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacensoregional(38,'es','ara','Zelanda',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Regional - Modifica un censo regional donde ya hay asignadas localidades en la region)');
END;
/


/* Test Modifica Censo Regional NO valido */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacensoregional(32,'AA','VLG','Flandes',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Regional - Modifica censo regional pais no existente)');

	RSP := NULL;
	p_editacensoregional(500,'DK','VLG','Flandes',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Regional - Modifica censo regional no existente)');
END;
/

/* Test Modifica Censo Regional NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacensoregional(NULL,'BE',NULL,'Flandes',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Regional - Censo Regional Nulo)');
END;
/
exec dbms_output.enable

--********************************************************************************************
--                                  MODIFICACION CENSO LOCAL
--********************************************************************************************


/* MODIFICACION CORRECTA DE UN CENSO LOCAL */

DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacensolocal(115,'es','CV','82001','Arhus',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Local - Modificacion Censo Local valida)');

	p_editacensolocal(115,NULL,NULL,NULL,'AARRHHUUSS',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Local - Modificacion Censo Local valida)');

	p_editacensolocal(90,NULL,NULL,'90000',NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Local - Modificacion Censo Local valida)');

END;

/



/* Test Modifica Censo local a uno ya existente */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacensolocal(90,'es','ga','po','pontevedra',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Local - Modifica a un censo local ya existente)');
END;
/

/* Test Modifica Censo Local con electores ya inscritos */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacensolocal(69,'it','es-72','ze','Zelanda',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Local - Modifica a un censo local donde ya hay electores inscritos en esa localidad)');
END;
/

/* Test Modifica Censo Local con localidades ya asignadas */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacensolocal(84,'es','cm','ze','Zelanda',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Local - Modifica un censo local donde ya hay asignadas centros electorales en la localidad)');
END;
/

/* Test Modifica Censo Local NO valido */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacensolocal(115,'AA','vlg','1000','Flandes',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Local - Modifica censo local pais no existente)');

	RSP := NULL;
	p_editacensolocal(90,'dk','uuu','206','Flandes',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Local - Modifica censo local region no existente)');

	RSP := NULL;
	p_editacensolocal(115,'es','4','506','Flandes',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Local - Modifica censo local region no pertenece a el pais)');
END;
/

/* Test Modifica Censo local NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacensolocal(NULL,'BE',NULL,'78','Flandes',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Local - Censo Local Nulo)');
END;
/

exec dbms_output.enable

--********************************************************************************************
--                                  MODIFICACION CENTRO ELECTORAL
--********************************************************************************************


/* MODIFICACION CORRECTA DE UN CENTRO ELECTORAL */

DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacentroelectoral(10,77,'Centro77','C/Centro 77',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Centro electoral - Modificacion Centro electoral valido)');

	p_editacentroelectoral(17,NULL,'Centro 17',NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Centro electoral - Modificacion Centro electoral valido)');

	p_editacentroelectoral(25,76,NULL,'C/Centro 76',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Centro electoral - Modificacion Centro electoral valido)');

END;

/



/* Test Modifica Centro electoral a uno ya existente */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacentroelectoral(13,95,'CENTRO1','C\Centro Cuenca N 3',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Centro electoral - Modifica a un centro electoral ya existente)');
END;
/



/* Test Modifica Centro electoral NO valido */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacentroelectoral(24,200,'Centro 200','C/ doscientos',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Centro electoral - Modifica centro electoral codigo censo local no existente)');

END;
/



/* Test Modifica Centro electoral NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacentroelectoral(NULL,84,NULL,'C/ Flandes',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Censo Local - Censo Local Nulo)');
END;
/


exec dbms_output.enable

--********************************************************************************************
--                                  MODIFICACION ELECTOR
--********************************************************************************************

DECLARE
	RSP varchar2(500);
        vot_record votacion%rowtype;
      
        cursor vota is
          select * from votacion;
          
BEGIN
	-- Muestro las votaciones antes de aadir electores
      DBMS_OUTPUT.PUT_LINE('estado--> 1.edicion, 2.pendiente, 3.abierta, 4.finalizada' );
       open vota; -- Abro el cursor con las votaciones
            DBMS_OUTPUT.PUT_LINE('votacion'||'      titulo' );
                    loop
                        fetch vota into vot_record;
                        exit when vota%notfound;
                          DBMS_OUTPUT.PUT_LINE(vot_record.cod_votacion||'    ,     '||vot_record.titulo||', electores:'||vot_record.electores||'     , estado:'|| vot_record.estado||'     ,  ambito:'||vot_record.ambito);
		     end loop;
	   close vota;
	
             
END;

/

/* MODIFICACION CORRECTA DE UN ELECTOR */

DECLARE
	RSP varchar2(500);
BEGIN

	DBMS_OUTPUT.PUT_LINE(' Modifico un elector de la region de Aragon, localidad Zaragoza a la region Comunidad Valenciana , localidad Alicante');
	DBMS_OUTPUT.PUT_LINE(' Se debe quitar un elector de la votacion 3,4,10 y aadir un elector a las votaciones 8,11,12 siempre que esten en edicion o pendientes');


	-- cambio censos de aragon, zaragoza  a Comunidad Valenciana, Alicante
	-- quitar un elector a regionales de aragon y locales de zaragoza ,   sumar un elector a regionales de C.Valenciana y locales de Alicante
	RSP := NULL;
	p_editaelector('hCLcowDLqdhBtRA',49,78,null,null,null,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Elector - Modificacion Elector valido)');


END;

/

DECLARE
	RSP varchar2(500);
        vot_record votacion%rowtype;
      
        cursor vota is
          select * from votacion;
          
BEGIN
	-- Muestro las votaciones antes de aadir electores
      DBMS_OUTPUT.PUT_LINE('estado--> 1.edicion, 2.pendiente, 3.abierta, 4.finalizada' );
       open vota; -- Abro el cursor con las votaciones
            DBMS_OUTPUT.PUT_LINE('votacion'||'      titulo' );
                    loop
                        fetch vota into vot_record;
                        exit when vota%notfound;
                          DBMS_OUTPUT.PUT_LINE(vot_record.cod_votacion||'    ,     '||vot_record.titulo||', electores:'||vot_record.electores||'     , estado:'|| vot_record.estado||'     ,  ambito:'||vot_record.ambito);
		     end loop;
	   close vota;
             
END;

/

/* MODIFICACION CORRECTA DE UN ELECTOR */

DECLARE
	RSP varchar2(500);
BEGIN

	DBMS_OUTPUT.PUT_LINE(' Modifico un elector de la region de extremadura, localidad caceres a la region italiana Abruzi , localidad italiana Pescara');
	DBMS_OUTPUT.PUT_LINE(' Se debe quitar un elector de la votacion 2,6,7,10 y aadir un elector a las votaciones 11,12 siempre que esten en edicion o pendientes');


	-- cambio censos de extremadura, caceres a Abruzi, Pescara
	-- quitar un elector a regionales de extremadura y locales de caceres y nacionales de Espaa ,   sumar un elector a regionales de Abruzi y locales de Pescara y nacionales de Italia
	RSP := NULL;
	p_editaelector('EepXhwAUAOwCkEf',62,105,null,null,null,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Elector - Modificacion Elector valido)');


END;

/


DECLARE
	RSP varchar2(500);
        vot_record votacion%rowtype;
      
        cursor vota is
          select * from votacion;
          
BEGIN
	-- Muestro las votaciones antes de aadir electores
      DBMS_OUTPUT.PUT_LINE('estado--> 1.edicion, 2.pendiente, 3.abierta, 4.finalizada' );
       open vota; -- Abro el cursor con las votaciones
            DBMS_OUTPUT.PUT_LINE('votacion'||'      titulo' );
                    loop
                        fetch vota into vot_record;
                        exit when vota%notfound;
                          DBMS_OUTPUT.PUT_LINE(vot_record.cod_votacion||'    ,     '||vot_record.titulo||', electores:'||vot_record.electores||'     , estado:'|| vot_record.estado||'     ,  ambito:'||vot_record.ambito);
		     end loop;
	   close vota;
             
END;

/

/* Test Modifica Elector menor de edad */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editaelector('hCLcowDLqdhBtRA',49,78,'15/06/99',null,null,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Elector - Elector menor de edad)');
END;
/

/* Test Modifica Elector nacional - la localidad no pertenece a la region */

DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editaelector('WcYesAQcfsXOITL',49,71,'15/06/66',null,null,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Elector - Localidad no pertenece a la region)');
END;
/




/* Test Modifica Centro electoral NO valido */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editaelector('hCLcowDaaaaaaa',49,78,null,null,null,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Elector - Modifica Elector codigo elector no existente)');

	RSP := NULL;
	p_editaelector('qSOtGDKmVpOYmFy',49,78,null,100,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Elector - Modifica Elector codigo centro, mesa no existente)');

	RSP := NULL;
	p_editaelector('qSOtGDKmVpOYmFy',49,78,null,1,'Mesa58',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Elector - Modifica Elector codigo centro, mesa no existente)');


END;
/



/* Test Modifica Elector NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editaelector(NULL,49,78,null,null,null,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Elector - Elector Nulo)');
END;
/


exec dbms_output.enable

--********************************************************************************************
--                                  MODIFICACION CANDIDATO
--********************************************************************************************


/* MODIFICACION CORRECTA DE UN CANDIDATO */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_editacandidato('lbuiJhRBBTyrIzm',NULL,NULL,'apellido2',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Candidato - Modificacion Candidato valido)');

	p_editacandidato('oqkHEfAVGbPMuhu','nombre2',NULL,NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Candidato - Modificacion candidato valido)');

END;

/



/* Test Modifica Candidato NO valido */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacandidato('AAAAAAA','nombreA','apeA',Null,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Candidato - Modifica candidato, codigo candidato no existente)');

END;
/

/* Test Modifica Candidato que ha participado en otras elecciones */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacandidato('qSOtGDKmVpOYmFy','nombre1','apellido1','apellido1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Candidato - Modificacion Candidato que ha participado en otras elecciones ya publicadas)');

END;
/


/* Test Modifica Candidato NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacandidato(NULL,'nom',NULL,'ape',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita Candidato - Candidato Nulo)');
END;
/


exec dbms_output.enable

--********************************************************************************************
--                                  MODIFICACION PARTIDO
--********************************************************************************************


/* MODIFICACION CORRECTA DE UN PARTIDO */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_editapartido(10,'TU','Todos Unidos','C/Sede TU',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita partido - Modificacion partido valido)');

	p_editapartido(11,NULL,'Partido Colorista','C/Sede PC',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita partido - Modificacion partido valido)');

END;

/



/* Test Modifica partido NO valido */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editapartido(50,'SG','descripcion','sede',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita partido - Modifica partido, codigo partido no existente)');

END;
/


/* Test Modifica Candidato a una ya dado de alta */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editapartido(10,'PC','Partido Colorista',NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita partido - Modifica partido, introduce los datos de un partido ya existente)');

END;
/

/* Test Modifica partido que ha participado en otras elecciones */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editapartido(6,'SG','nombre partido','sede part',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita partido - Modificacion partido que ha participado en otras elecciones ya publicadas)');

END;
/


/* Test Modifica partido NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editapartido(NULL,'SG',NULL,'direc',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita partido - partido Nulo)');
END;
/


exec dbms_output.enable

--********************************************************************************************
--                                  MODIFICACION CANDIDATOS VOTACION PARTIDO
--********************************************************************************************


/* MODIFICACION ASIGNACION CANDIDATOS - VOTACION - PARTIDO CORRECTA*/

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_editacandvotpart(5,7,'dMgYRNBizUyXPvv',3,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita candidatos,votacion,partido - Modificacion valida)');

	p_editacandvotpart(6,8,'hCLcowDLqdhBtRA',NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita candidatos,votacion,partido - Modificacion valida)');

END;

/



/* Test Modifica asignacion candidatos,votacion,partido NO valido */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacandvotpart(50,6,'dMgYRNBizUyXPvv',5,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita candidatos,votacion,partido - Modificacion, codigo votacion no existente)');

	RSP := NULL;
	p_editacandvotpart(6,5,'dMgYRNaaaaaa',4,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita candidatos,votacion,partido - Modificacion, codigo candidato no existente)');

	RSP := NULL;
	p_editacandvotpart(6,50,'dMgYRNBizUyXPvv',4,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita candidatos,votacion,partido - Modificacion, codigo partido no existente)');

END;
/


/* Test Modifica a una asignacion ya dada de alta */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacandvotpart(5,7,'lbuiJhRBBTyrIzm',1,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita candidatos,votacion,partido - Modificacion introducion de una asignacion ya dada de alta)');

END;
/

/* Test Modifica asignacion cuando la votacion ya no esta en estado de edicion */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacandvotpart(2,6,'lbuiJhRBBTyrIzm',5,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita candidatos, votacion,partido - Modificacion de una votacion que ya no esta en edicion)');
END;
/


/* Test Modifica asignacion cuando el partido no se presenta en esa votacion */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacandvotpart(5,9,'lbuiJhRBBTyrIzm',5,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita candidatos, votacion,partido - Modificacion a un partido que no esta asignado en esa votacion)');
END;
/

/* Test Modifica votacion nula, candidato NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	RSP := NULL;
	p_editacandvotpart(NULL,5,NULL,NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita candidatos,votacion, partido - votacion Nula)');

	RSP := NULL;
	p_editacandvotpart(6,NULL,NULL,NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Edita candidatos,votacion, partido - candidato Nulo)');
END;
/


exec dbms_output.enable
--********************************************************************************************
--                                  MODIFICACION VOTACION
--********************************************************************************************


/* MODIFICACION DE UNA VOTACION */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_editavotacion(5,'ELECCIONES ITALIANAS','Votacion de los ciudadanos de italia','25/11/12','20/12/12','17/01/13','web1',2,'Presi',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test edita Votacion - Votacion valida)');
	p_altacensoshabilitados(5,15,RSP);

	p_editavotacion(6,'ELECCIONES EUROPEAS','Votacion de los ciudadanos de la union Europea','14/09/12','20/10/12','17/11/12',null,1,null,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test edita Votacion - Votacion valida)');

END;
/


/* Test codigo ambito inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_editavotacion(6,'ELECCIONES EUROPEAS','Votacion de los ciudadanos de la union Europea','14/09/12','20/10/12','17/11/12',null,6,null,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test edita Votacion - votacion con ambito incorrecto)');
	
END;

/

/* Test votacion repetida*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_editavotacion(6,'ELECCIONES AL PARLAMENTO EUROPEO','Votacion de los ciudadanos de la union Europea','14/09/12','05/12/12','17/11/13',null,6,null,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test edita Votacion - ya existe una votacion con el mismo titulo y fecha de inicio)');
	
END;

/

/* Test edita Votacion NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_editavotacion(null,NULL,'Votacion correspondiente a todos los ciudadanos de la union Europea','30/11/11',NULL,NULL,'direccionweb1',5,'Presidente1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test Alta Votacion - Codigo votacion Nulos)');
	
END;
/

/* Test edita fecha publicacion menor que la fecha actual */
DECLARE
	RSP varchar2(500);
BEGIN
	p_editavotacion(5,'ELECCIONES AL PARLAMENTO EUROPEO','Votacion correspondiente a todos los ciudadanos de la union Europea','01/01/10','01/03/11','15/03/11','direccionweb1',5,'Presidente1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test edita Votacion - Fecha publicacion menor que fecha actual)');
	
END;
/

/* Test edita fecha publicacion anterior a una semana a la fecha de inicio de la votacion */
DECLARE
	RSP varchar2(500);
BEGIN
	p_editavotacion(5,'ELECCIONES AL PARLAMENTO EUROPEO','Votacion correspondiente a todos los ciudadanos de la union Europea','18/01/12','20/01/12','15/03/12','direccionweb1',5,'Presidente1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test edita Votacion - Fecha publicacion anterior a una semana a la fecha de inicio)');
	
END;
/


/* Test edita  fecha inicio posterior a la fecha de finalizacion de la votacion */
DECLARE
	RSP varchar2(500);
BEGIN
	p_editavotacion(5,'ELECCIONES AL PARLAMENTO EUROPEO','Votacion correspondiente a todos los ciudadanos de la union Europea','19/01/12','18/02/12','16/02/12','direccionweb1',5,'Presidente1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test edita Votacion -Fecha inicio posterior a fecha fin)');
	
END;
/

exec dbms_output.enable
--********************************************************************************************
--                                  BAJA VOTACION
--********************************************************************************************


/* ELIMINACION DE UNA VOTACION */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_bajavotacion(6,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja Votacion - Votacion valida)');
END;
/


/* Test codigo votacion inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajavotacion(100,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja Votacion - votacion inexistente)');
	
END;

/


/* Test baja Votacion NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajavotacion(null,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja Votacion - Codigo votacion Nulo)');
	
END;
/

/* Test baja Votacion ya publicada */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajavotacion(3,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja Votacion - votacion publicada)');
	
END;
/

exec dbms_output.enable
--********************************************************************************************
--                                  BAJA OPCION VOTACION
--********************************************************************************************


/* ELIMINACION DE LA ASIGNACION DE UNA OPCION A UNA VOTACION */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_bajaopcionvotacion(5,1,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja opcion Votacion - opcion Votacion valida)');
END;
/


/* Test codigo inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajaopcionvotacion(100,2,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja opcion Votacion - votacion inexistente)');

	p_bajaopcionvotacion(5,100,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja opcion Votacion - opcion inexistente)');
	
END;

/

/* Test clave inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajaopcionvotacion(6,15,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja opcion Votacion - clave inexistente)');
	
END;

/

/* Test codigo NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajaopcionvotacion(null,3,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja opcion Votacion - Codigo votacion Nulo)');

	p_bajaopcionvotacion(5,null,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja opcion Votacion - Codigo opcion Nulo)');
	
END;
/

/* Test baja opcion Votacion ya publicada */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajaopcionvotacion(3,2,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja opcion Votacion - votacion publicada)');
	
END;
/



exec dbms_output.enable
--********************************************************************************************
--                                  BAJA CENSO VOTACION
--********************************************************************************************


/* ELIMINACION DE LA HABILITACION DE UN CENSO A UNA VOTACION */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_bajacensohabilitado(8,78,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja censo Votacion - censo Votacion valida)');
END;
/


/* Test codigo inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacensohabilitado(100,15,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja censo Votacion - votacion inexistente)');

	p_bajacensohabilitado(5,200,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja censo Votacion - censo inexistente)');
	
END;

/

/* Test clave inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacensohabilitado(6,15,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja censo Votacion - clave inexistente)');
	
END;

/

/* Test codigo NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacensohabilitado(null,3,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja opcion Votacion - Codigo votacion Nulo)');

	p_bajacensohabilitado(5,null,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja opcion Votacion - Codigo opcion Nulo)');
	
END;
/

/* Test baja censo Votacion ya publicada */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacensohabilitado(3,2,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja opcion Votacion - votacion publicada)');
	
END;
/


exec dbms_output.enable
--********************************************************************************************
--                                  BAJA VOTACION PARTIDO CANDIDATO
--********************************************************************************************


/* ELIMINACION DE UN CANDIDATO  DE UN PARTIDO EN UNA VOTACION */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_bajacandvotpart(5,7,'qSOtGDKmVpOYmFy',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja votacion, partido, candidato -  valido)');
END;
/


/* Test codigo inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacandvotpart(100,7,'lbuiJhRBBTyrIzm',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja votacion, partido, candidato - votacion inexistente)');

	p_bajacandvotpart(5,100,'lbuiJhRBBTyrIzm',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja votacion, partido, candidato- partido inexistente)');

	p_bajacandvotpart(5,7,'111hRBBTyrIzm',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja votacion, partido, candidato - candidato inexistente)');
	
END;

/

/* Test clave inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacandvotpart(9,2,'lbuiJhRBBTyrIzm',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja votacion, partido, candidato - clave inexistente)');
	
END;

/

/* Test codigo NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacandvotpart(NULL,7,'111hRBBTyrIzm',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja votacion, partido, candidato- Codigo votacion Nulo)');

	p_bajacandvotpart(5,NULL,'111hRBBTyrIzm',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja votacion, partido, candidato- Codigo opcion Nulo)');

	p_bajacandvotpart(5,7,NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja votacion, partido, candidato- Codigo opcion Nulo)');
	
END;
/

/* Test baja censo Votacion ya publicada */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacandvotpart(2,6,'hCLcowDLqdhBtRA',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja votacion, partido, candidato - votacion publicada)');
	
END;
/

exec dbms_output.enable
--********************************************************************************************
--                                  BAJA PARTIDO
--********************************************************************************************


/* ELIMINACION DE UN CANDIDATO  DE UN PARTIDO EN UNA VOTACION */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_bajapartido(11,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja partido -  valido)');
END;
/


/* Test codigo inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajapartido(50,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja partido - partido inexistente)');

END;

/

/* Test codigo NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajapartido(NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja partido- partido Nulo)');
	
END;
/

/* Test baja partido asignado a votacion */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajapartido(6,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja partido - partido asignado a votacion)');
	
END;
/


exec dbms_output.enable
--********************************************************************************************
--                                  BAJA CANDIDATO
--********************************************************************************************


/* ELIMINACION DE UN CANDIDATO */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_bajacandidato('oqkHEfAVGbPMuhu',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja candidato -  valido)');
END;
/


/* Test codigo inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacandidato('oooooo',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja candidato - candidato inexistente)');

END;

/

/* Test codigo NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacandidato(NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja candidato- candidato Nulo)');
	
END;
/

/* Test baja candidato asignado a votacion */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacandidato('hCLcowDLqdhBtRA',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja candidato - candidato asignado a votacion)');
	
END;
/


exec dbms_output.enable
--********************************************************************************************
--                                  BAJA ELECTOR
--********************************************************************************************


/* ELIMINACION DE UN ELECTOR */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_bajaelector('umGTKzgpmTvlUKq',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja elector -  valido)');
END;
/


/* Test codigo inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajaelector('oooooo',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja elector - candidato inexistente)');

END;

/

/* Test codigo NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajaelector(NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja elector- candidato Nulo)');
	
END;
/

exec dbms_output.enable
--********************************************************************************************
--                                  BAJA MESA
--********************************************************************************************


/* ELIMINACION DE UNA MESA ELECTORAL */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_bajamesa(1,'Mesa 4',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja mesa -  valido)');
END;
/


/* Test codigo inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajamesa(50,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja mesa - Centro inexistente)');

	p_bajamesa(20,'Mesa 2',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja mesa - Mesa inexistente)');

END;

/

/* Test codigo NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajamesa(NULL,NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja mesa- Mesa Nula)');
	
END;
/

/* Test baja mesa con electores asignados */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajamesa(1,'Mesa 1',RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja mesa - Mesa con electores)');
	
END;
/

exec dbms_output.enable
--********************************************************************************************
--                                  BAJA CENTRO ELECTORAL
--********************************************************************************************


/* ELIMINACION DE UN CENTRO ELECTORAL */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_bajacentro(4,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja centro -  valido)');
END;
/


/* Test codigo inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacentro(50,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja centro - Centro inexistente)');
END;

/

/* Test codigo NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacentro(NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja centro- Mesa Nula)');
	
END;
/

/* Test baja centro con electores asignados */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacentro(1,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja centro - Mesa con electores)');
	
END;
/

exec dbms_output.enable
--********************************************************************************************
--                                  BAJA CENSO LOCAL
--********************************************************************************************


/* ELIMINACION DE UN CENSO ELECTORAL LOCAL */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_bajacensolocal(100,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja censo local -  valido)');
END;
/


/* Test codigo inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacensolocal(200,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja censo local - Censo local inexistente)');
END;

/

/* Test codigo NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacensolocal(NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja censo local- Censo local Nulo)');
	
END;
/

/* Test baja censo local con electores asignados */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacensolocal(85,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja censo local - Censo con electores)');
	
END;
/



exec dbms_output.enable
--********************************************************************************************
--                                  BAJA CENSO REGIONAL
--********************************************************************************************


/* ELIMINACION DE UN CENSO ELECTORAL REGIONAL */

DECLARE
	RSP varchar2(500);
BEGIN
	
	p_bajacensoregional(50,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja censo regional -  valido)');
END;
/


/* Test codigo inexistente*/
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacensoregional(200,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja censo regional - Censo local inexistente)');
END;

/

/* Test codigo NUlo */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacensoregional(NULL,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja censo regional- Censo regional Nulo)');
	
END;
/



/* Test baja censo regional con votaciones asignadas en edicion o pendiente */
DECLARE
	RSP varchar2(500);
BEGIN
	p_bajacensoregional(34,RSP);
	DBMS_OUTPUT.PUT_LINE(RSP || ' (Test baja censo regional - Censo asiganados a votacion en estado edicion o pendiente)');
	
END;
/


exec dbms_output.enable
--********************************************************************************************
--                                  ACTUALIZAR LOS ESTADOS DE LAS VOTACIONES
--********************************************************************************************


/* ACTUALIZO VOTACIONES CADA UNA CON UN ESTADO DIFERENTE*/

/
BEGIN
	
	UPDATE VOTACION  SET titulo='prueba estado edicion',fecha_publicacion=SYSDATE+5,fecha_inicio=SYSDATE+15,fecha_fin=SYSDATE+40 WHERE COD_VOTACION=9;
	UPDATE VOTACION SET titulo='prueba estado pendiente',fecha_publicacion=SYSDATE-10,fecha_inicio=SYSDATE+10,fecha_fin=SYSDATE+50 WHERE COD_VOTACION=10;
	UPDATE VOTACION  SET titulo='prueba estado abierta',fecha_publicacion=SYSDATE-20,fecha_inicio=SYSDATE-10,fecha_fin=SYSDATE+20 WHERE COD_VOTACION=11;
	UPDATE VOTACION SET titulo='prueba estado finalizada',fecha_publicacion=SYSDATE-30,fecha_inicio=SYSDATE-20,fecha_fin=SYSDATE-10 WHERE COD_VOTACION=12;
  

END;
/


DECLARE
	RSP varchar2(500);
        vot_record votacion%rowtype;
      
        cursor vota is
          select * from votacion;
          
BEGIN
	-- Muestro las votaciones antes de actualizar el estado
       DBMS_OUTPUT.PUT_LINE('Muestro votaciones antes de ejecutar el job' );
      DBMS_OUTPUT.PUT_LINE('estado--> 1.edicion, 2.pendiente, 3.abierta, 4.finalizada' );
       open vota; -- Abro el cursor con las votaciones
            DBMS_OUTPUT.PUT_LINE('votacion'||'      titulo' );
                    loop
                        fetch vota into vot_record;
                        exit when vota%notfound;
                          DBMS_OUTPUT.PUT_LINE(vot_record.cod_votacion||'    ,     '||vot_record.titulo||' , estado:'|| vot_record.estado||',  fecha_publicacion: '||vot_record.fecha_publicacion||' , fecha_inicio:'|| vot_record.fecha_inicio||'    , fecha_fin: '||vot_record.fecha_fin);
		     end loop;
	   close vota;
             
END;

/

BEGIN

	DBMS_SCHEDULER.RUN_JOB(job_name=> 'j_actualizarestado');
END;	

/



DECLARE
	RSP varchar2(500);
        vot_record votacion%rowtype;
      
        cursor vota is
          select * from votacion;
          
BEGIN
	-- Muestro las votaciones despues de actualizar el estado
   DBMS_OUTPUT.PUT_LINE('Muestro votaciones despues de ejecutar el job' );
      DBMS_OUTPUT.PUT_LINE('estado--> 1.edicion, 2.pendiente, 3.abierta, 4.finalizada' );
       open vota; -- Abro el cursor con las votaciones
            DBMS_OUTPUT.PUT_LINE('votacion'||'      titulo' );
                    loop
                        fetch vota into vot_record;
                        exit when vota%notfound;
                          DBMS_OUTPUT.PUT_LINE(vot_record.cod_votacion||'    ,     '||vot_record.titulo||' , estado:'|| vot_record.estado||',  fecha_publicacion: '||vot_record.fecha_publicacion||' , fecha_inicio:'|| vot_record.fecha_inicio||'    , fecha_fin: '||vot_record.fecha_fin);
		     end loop;
	   close vota;
             
END;

/


--********************************************************************************************
--                                 ACTUALIZAR DATOS PARA CONSULTA
--********************************************************************************************
DECLARE
	RSP varchar2(500);
BEGIN

	  -- abrir votaciones para poder votar y meter datos
	  UPDATE VOTACION  SET fecha_publicacion=SYSDATE-25,fecha_inicio=SYSDATE-15,fecha_fin=SYSDATE+8 WHERE COD_VOTACION=7;
	  UPDATE VOTACION SET fecha_publicacion=SYSDATE-32,fecha_inicio=SYSDATE-10,fecha_fin=SYSDATE+5 WHERE COD_VOTACION=5;
	  
END;
/


BEGIN
--	EJECUTAMOS EL JOB PARA QUE SE ACTUALIZEN LOS ESTADOS DE LA VOTACION

	DBMS_SCHEDULER.RUN_JOB(job_name=> 'j_actualizarestado');
END;	

/

DECLARE
	RSP varchar2(500);
BEGIN
	
 	  
  	p_altavotar(4,1,'biGteyvbuDKEKSr',RSP);
  	p_altavotar(4,1,'UzfMbZxtnzKKybI',RSP);
  	p_altavotar(4,2,'CwqHfTXfzozihTJ',RSP);
	p_altavotar(4,5,'DUJZdMHfWabsQsF',RSP);
	p_altavotar(4,6,'HxYlKqYhyqJzOuv',RSP);
	p_altavotar(4,6,'jBNxYnWGHfcXjXX',RSP);
	p_altavotar(4,5,'ZecXZKZGAHudJnX',RSP);
  	p_altavotar(4,5,'HqhkXAfmyMnZvUi',RSP);
  	p_altavotar(4,5,'NyLaOjKnAwqvrGM',RSP);


	p_altavotar(7,2,'KexoPzXPKWmRCTu',RSP);
  	p_altavotar(7,2,'smEMiINTbXDhcbd',RSP);
  	p_altavotar(7,5,'MqQwACZTjtkkddh',RSP);
	p_altavotar(7,5,'dCaEIZEEZohhfQr',RSP);
	p_altavotar(7,5,'dkFbSnUcmdlXoqL',RSP);
	p_altavotar(7,6,'uDEoUDXyGUHoysy',RSP);
  	p_altavotar(7,6,'luvvqJulxXgldau',RSP);
  	p_altavotar(7,6,'EPgqSGaMoSKyKAU',RSP);
	p_altavotar(7,7,'LrabyrhsNORkpSu',RSP);
  	p_altavotar(7,7,'xcNmLZvYEnDEtGr',RSP);
  	p_altavotar(7,8,'dFdYyfdLTHTgQgl',RSP);
	p_altavotar(7,8,'BXoCEVXGZZzvfUF',RSP);
	p_altavotar(7,8,'LwwtpHaRMQCEYDT',RSP);
	p_altavotar(7,8,'kMXRxGwgzPOckwH',RSP);
	p_altavotar(7,8,'NjCVSoCFlSzODPq',RSP);

	p_altavotar(5,2,'jBfBfCCqjrbLYel',RSP);
  	p_altavotar(5,2,'PnAPmVtbJFDMlVN',RSP);
  	p_altavotar(5,5,'xfhfRuennrEKOux',RSP);
	p_altavotar(5,5,'aSsmhljwqzoErmB',RSP);
	p_altavotar(5,5,'PAWRXsFCRYGsKdg',RSP);
	p_altavotar(5,5,'STtBrkyVSDxUmXE',RSP);
  	p_altavotar(5,6,'vtnJIcCTxOzYkxL',RSP);
  	p_altavotar(5,6,'SCQkBfoqHTSxqDu',RSP);
	p_altavotar(5,6,'wBwFiPUNxdhTRmp',RSP);
  	p_altavotar(5,7,'vQXjnzzbNLPMlAM',RSP);
  	p_altavotar(5,7,'XzVtTinFLIwjkBo',RSP);
	p_altavotar(5,10,'UkGfCGxqeIIRIqj',RSP);
	p_altavotar(5,10,'brNSXBBFrAENHTp',RSP);
	p_altavotar(5,10,'oULUrSTirrfHmCK',RSP);
	p_altavotar(5,10,'SOwYbTklHgVpTmW',RSP);
	p_altavotar(5,8,'LTUoYfgsFwUpAod',RSP);

	

	  
END;
/


exec dbms_output.enable
--********************************************************************************************
--                                  LISTAR LAS VOTACIONES DE UN PAIS
--********************************************************************************************
	

BEGIN
--	Modificamos las fechas de la votacion 2 y 3 para que se cierren las votaciones
	UPDATE VOTACION SET fecha_publicacion=SYSDATE-70,fecha_inicio=SYSDATE-60,fecha_fin=SYSDATE-4 WHERE COD_VOTACION=1;
	UPDATE VOTACION  SET fecha_publicacion=SYSDATE-60,fecha_inicio=SYSDATE-50,fecha_fin=SYSDATE-8 WHERE COD_VOTACION=2;
	UPDATE VOTACION SET fecha_publicacion=SYSDATE-32,fecha_inicio=SYSDATE-10,fecha_fin=SYSDATE-5 WHERE COD_VOTACION=3;
	

END;


/

BEGIN
--	EJECUTAMOS EL JOB PARA QUE SE ACTUALIZEN LOS ESTADOS DE LA VOTACION

	DBMS_SCHEDULER.RUN_JOB(job_name=> 'j_actualizarestado');
END;	


/

DECLARE
	RSP varchar2(500);
BEGIN
	
 	p_altacensoshabilitados(8,78,RSP);  
	  
  	p_altavotar(11,1,'hCLcowDLqdhBtRA',RSP);
  	p_altavotar(11,1,'hxokaFkjaTYZasr',RSP);
  	p_altavotar(11,2,'CPkwPkkKcnXgKlu',RSP);
	p_altavotar(11,5,'KYDUJmlQUcoEZCO',RSP);
	p_altavotar(11,6,'jBfBfCCqjrbLYel',RSP);
	p_altavotar(11,6,'xfhfRuennrEKOux',RSP);
	p_altavotar(11,5,'SCQkBfoqHTSxqDu',RSP);
  	p_altavotar(11,5,'wlLqczjbYbSXVFZ',RSP);
  		  
END;
/





DECLARE
	RSP varchar2(500);
BEGIN

	pk_consulta_votacionesPais.p_listavotpais('ES',RSP);

	pk_consulta_votacionesPais.p_listavotpais('IT',RSP);
	
END;
/

exec dbms_output.enable
--*************************************************************************************************************
--        LISTAR LAS VOTACIONES CON MAYOR DIFERENCIA PORCENTUAL ENTRE LA OPCION MAS VOTADA Y LA MENOS VOTADA
--*************************************************************************************************************

DECLARE
	RSP varchar2(500);
BEGIN
	pk_consulta_votmasdif.p_listavotacionesmas(RSP);
	
END;
/


exec dbms_output.enable
--********************************************************************************************
--       LISTAR LAS VOTACIONES CON MENOR DIFERENCIA PORCENTUAL ENTRE LA OPCION MAS VOTADA Y LA MENOS VOTADA
--********************************************************************************************
	
DECLARE
	RSP varchar2(500);
BEGIN
	pk_consulta_votmenosdif.p_listavotacionesmenos(RSP);
	
END;
/

exec dbms_output.enable
--********************************************************************************************
--                                  LISTAR LOS CENSOS DE UN CIUDADANO
--********************************************************************************************

prompt;
prompt;
prompt '------------ Consulta de un ciudadano extranjero MbakjdWEUAHrUHW ---------------';
		
DECLARE
	RSP varchar2(500);
BEGIN
		
	pk_consulta_censos.p_listacensos('MbakjdWEUAHrUHW',RSP);
	
END;

/
prompt;
prompt;
prompt  '------------ Consulta de un ciudadano nacional sIYnzzCdUHctEgx ---------------';

DECLARE
	RSP varchar2(500);
BEGIN
	
		
	pk_consulta_censos.p_listacensos('sIYnzzCdUHctEgx',RSP);
	pk_consulta_censos.p_listacensos('dMgYRNBizUyXPvv',RSP);
	
END;
/

	
exec dbms_output.enable
--********************************************************************************************
--                        LISTAR LA PARTICIPACION DE UN CIUDADANO EN LAS VOTACIONES
--********************************************************************************************

		
DECLARE
	RSP varchar2(500);
BEGIN
		
	pk_consulta_participacion.p_listavotaciones('dMgYRNBizUyXPvv',RSP);
	pk_consulta_participacion.p_listavotaciones('CwqHfTXfzozihTJ',RSP);
	
END;
	
/

/* MDULO ESTADSTICO */
	
exec dbms_output.enable
--********************************************************************************************
--                     ESTADISTICA VOTACIONES FINALIZADAS POR PAIS Y AO
--********************************************************************************************


prompt;
prompt  '------------ Estadistica votaciones finalizadas por pais y ao (pais='ES',ao=2011) ---------------';


		
SELECT * FROM EST_VOT_FINAL_AO WHERE COD_PAIS = 'ES' AND ANYO=2011;


/

exec dbms_output.enable
--********************************************************************************************
--                     ESTADISTICA PORCENTAJE MEDIO DE PARTICIPACION POR CENSO Y AO
--********************************************************************************************


prompt;
prompt  '------------ Estadistica porcentaje medio de participacion por censo y ao (censo=26,ao=2011) ---------------';
		
		
SELECT * FROM EST_CENSO_ANYO_PORCT WHERE COD_CENSO = 26 AND ANYO=2011;



/

exec dbms_output.enable
--********************************************************************************************
--                     ESTADISTICA VOTACIONES POR CENSO Y AO
--********************************************************************************************

prompt;
prompt  '------------ Estadistica votaciones por censo y ao (censo=26,ao=2011) ---------------';

				
SELECT * FROM EST_CENSO_ANYO_VOTA WHERE COD_CENSO = 26 AND ANYO=2011;


/

exec dbms_output.enable
--********************************************************************************************
--                     ESTADISTICA VOTACION CON MAYOR PARTICIPACION EN UN AO CONCRETO
--********************************************************************************************

prompt;
prompt  '------------ Estadistica votacion mayor participacion en un ao concreto (ao=2011) ---------------';

				
SELECT * FROM EST_VOT_MAS_PARTI_ANYO WHERE ANYO=2011;


/


exec dbms_output.enable
--********************************************************************************************
--                     ESTADISTICA LOCALIDAD CON MAS VOTOS
--********************************************************************************************

prompt;
prompt  '------------ Estadistica localidad con mayor numero de votos en un ao concreto (ao=2011) ---------------';

				
SELECT * FROM EST_LOC_MAS_VOTOS_ANYO WHERE ANYO=2011;


/


exec dbms_output.enable
--********************************************************************************************
--                     ESTADISTICA PORCENTAJE CIUDADANOS QUE NUNCA HAN VOTADO
--********************************************************************************************

prompt;
prompt  '------------ Estadistica porcentaje de ciudadanos que nunca han votado en un ao determinado (ao=2011) ---------------';

				
SELECT * FROM EST_CIUDADANOS_SINVOTOS_ANYO WHERE ANYO=2011;


/

exec dbms_output.enable
--********************************************************************************************
--                     ESTADISTICA VOTACION HISTORICAMENTE CON MAYOR PARTICIPACION
--********************************************************************************************

prompt;
prompt  '------------ Estadistica votacion que historicamente ha tenido mayor participacion ---------------';

				
SELECT * FROM EST_HISTORICO_VOTACIONES;


/

exec dbms_output.enable
--**********************************************************************************************************
-- ESTADISTICA VOTACION HISTORICAMENTE CON MAYOR DIFERENCIA PORCENTUAL ENTRE LA OPCION MAS VOTADA Y LA MENOS
--**********************************************************************************************************

prompt;
prompt  '------------ Estadistica votacion que historicamente ha tenido mayor diferencia porcentual entre la opcion mas votada y la menos ---------------';

				
SELECT * FROM EST_HISTORICO_MAS;


/
exec dbms_output.enable
--**********************************************************************************************************
-- ESTADISTICA VOTACION HISTORICAMENTE CON MENOR DIFERENCIA PORCENTUAL ENTRE LA OPCION MAS VOTADA Y LA MENOS
--**********************************************************************************************************

prompt;
prompt  '------------ Estadistica votacion que historicamente ha tenido menor diferencia porcentual entre la opcion mas votada y la menos ---------------';

				
SELECT * FROM EST_HISTORICO_MENOS;


/
exec dbms_output.enable
--**********************************************************************************************************
-- ESTADISTICA VOTACIONIONES MAXIMAS EN LAS QUE HA PARTICIPADO UNA MISMA PERSONA
--**********************************************************************************************************

prompt;
prompt  '------------ Estadistica votaciones maximas en las que ha participado una misma persona ---------------';

				
SELECT * FROM EST_VOTAC_PAIS_PERSONA;
/

	

	


















